!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 307

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1809)
  integer, parameter :: nGC_12866 = 1
  integer, parameter :: nGC_12867 = 2
  integer, parameter :: nGC_12864 = 3
  integer, parameter :: nGC_12865 = 4
  integer, parameter :: nGC_12868 = 5
  integer, parameter :: nGC_12510 = 6
  integer, parameter :: nGC_12511 = 7
  integer, parameter :: nGC_12516 = 8
  integer, parameter :: nGC_12517 = 9
  integer, parameter :: nGC_12515 = 10
  integer, parameter :: nGC_12889 = 11
  integer, parameter :: nGC_12880 = 12
  integer, parameter :: nGC_12648 = 13
  integer, parameter :: nGC_12649 = 14
  integer, parameter :: nGC_12642 = 15
  integer, parameter :: nGC_12643 = 16
  integer, parameter :: nGC_12640 = 17
  integer, parameter :: nGC_12641 = 18
  integer, parameter :: nGC_12647 = 19
  integer, parameter :: nGC_12644 = 20
  integer, parameter :: nGC_78 = 21
  integer, parameter :: nGC_349 = 22
  integer, parameter :: nGC_345 = 23
  integer, parameter :: nGC_343 = 24
  integer, parameter :: nGC_341 = 25
  integer, parameter :: nGC_168 = 26
  integer, parameter :: nGC_169 = 27
  integer, parameter :: nGC_162 = 28
  integer, parameter :: nGC_163 = 29
  integer, parameter :: nGC_160 = 30
  integer, parameter :: nGC_161 = 31
  integer, parameter :: nGC_166 = 32
  integer, parameter :: nGC_167 = 33
  integer, parameter :: nGC_164 = 34
  integer, parameter :: nGC_165 = 35
  integer, parameter :: nGC_12869 = 36
  integer, parameter :: nGC_13475 = 37
  integer, parameter :: nGC_12873 = 38
  integer, parameter :: nGC_12879 = 39
  integer, parameter :: nGC_12878 = 40
  integer, parameter :: nGC_12507 = 41
  integer, parameter :: nGC_12506 = 42
  integer, parameter :: nGC_12501 = 43
  integer, parameter :: nGC_12500 = 44
  integer, parameter :: nGC_12502 = 45
  integer, parameter :: nGC_12899 = 46
  integer, parameter :: nGC_12898 = 47
  integer, parameter :: nGC_12893 = 48
  integer, parameter :: nGC_12892 = 49
  integer, parameter :: nGC_12891 = 50
  integer, parameter :: nGC_12890 = 51
  integer, parameter :: nGC_12897 = 52
  integer, parameter :: nGC_12896 = 53
  integer, parameter :: nGC_12895 = 54
  integer, parameter :: nGC_12894 = 55
  integer, parameter :: nGC_MHL = 56
  integer, parameter :: nGC_13368 = 57
  integer, parameter :: nGC_12659 = 58
  integer, parameter :: nGC_12658 = 59
  integer, parameter :: nGC_12657 = 60
  integer, parameter :: nGC_12656 = 61
  integer, parameter :: nGC_221 = 62
  integer, parameter :: nGC_220 = 63
  integer, parameter :: nGC_223 = 64
  integer, parameter :: nGC_222 = 65
  integer, parameter :: nGC_225 = 66
  integer, parameter :: nGC_224 = 67
  integer, parameter :: nGC_227 = 68
  integer, parameter :: nGC_226 = 69
  integer, parameter :: nGC_228 = 70
  integer, parameter :: nGC_359 = 71
  integer, parameter :: nGC_355 = 72
  integer, parameter :: nGC_357 = 73
  integer, parameter :: nGC_351 = 74
  integer, parameter :: nGC_353 = 75
  integer, parameter :: nGC_179 = 76
  integer, parameter :: nGC_178 = 77
  integer, parameter :: nGC_171 = 78
  integer, parameter :: nGC_170 = 79
  integer, parameter :: nGC_173 = 80
  integer, parameter :: nGC_172 = 81
  integer, parameter :: nGC_175 = 82
  integer, parameter :: nGC_174 = 83
  integer, parameter :: nGC_177 = 84
  integer, parameter :: nGC_176 = 85
  integer, parameter :: nGC_12798 = 86
  integer, parameter :: nGC_12799 = 87
  integer, parameter :: nGC_12794 = 88
  integer, parameter :: nGC_12795 = 89
  integer, parameter :: nGC_12796 = 90
  integer, parameter :: nGC_12797 = 91
  integer, parameter :: nGC_12793 = 92
  integer, parameter :: nGC_99 = 93
  integer, parameter :: nGC_98 = 94
  integer, parameter :: nGC_97 = 95
  integer, parameter :: nGC_96 = 96
  integer, parameter :: nGC_95 = 97
  integer, parameter :: nGC_94 = 98
  integer, parameter :: nGC_93 = 99
  integer, parameter :: nGC_92 = 100
  integer, parameter :: nGC_91 = 101
  integer, parameter :: nGC_90 = 102
  integer, parameter :: nGC_75 = 103
  integer, parameter :: nGC_74 = 104
  integer, parameter :: nGC_77 = 105
  integer, parameter :: nGC_76 = 106
  integer, parameter :: nGC_71 = 107
  integer, parameter :: nGC_70 = 108
  integer, parameter :: nGC_73 = 109
  integer, parameter :: nGC_72 = 110
  integer, parameter :: nGC_79 = 111
  integer, parameter :: nGC_218 = 112
  integer, parameter :: nGC_219 = 113
  integer, parameter :: nGC_214 = 114
  integer, parameter :: nGC_215 = 115
  integer, parameter :: nGC_216 = 116
  integer, parameter :: nGC_217 = 117
  integer, parameter :: nGC_210 = 118
  integer, parameter :: nGC_211 = 119
  integer, parameter :: nGC_212 = 120
  integer, parameter :: nGC_213 = 121
  integer, parameter :: nGC_20797 = 122
  integer, parameter :: nGC_369 = 123
  integer, parameter :: nGC_363 = 124
  integer, parameter :: nGC_365 = 125
  integer, parameter :: nGC_144 = 126
  integer, parameter :: nGC_145 = 127
  integer, parameter :: nGC_146 = 128
  integer, parameter :: nGC_140 = 129
  integer, parameter :: nGC_141 = 130
  integer, parameter :: nGC_142 = 131
  integer, parameter :: nGC_143 = 132
  integer, parameter :: nGC_148 = 133
  integer, parameter :: nGC_149 = 134
  integer, parameter :: nGC_MM = 135
  integer, parameter :: nGC_MC = 136
  integer, parameter :: nGC_MB = 137
  integer, parameter :: nGC_13419 = 138
  integer, parameter :: nGC_ME = 139
  integer, parameter :: nGC_MD = 140
  integer, parameter :: nGC_MZ = 141
  integer, parameter :: nGC_MS = 142
  integer, parameter :: nGC_MW = 143
  integer, parameter :: nGC_MU = 144
  integer, parameter :: nGC_MT = 145
  integer, parameter :: nGC_22539 = 146
  integer, parameter :: nGC_22538 = 147
  integer, parameter :: nGC_12788 = 148
  integer, parameter :: nGC_12787 = 149
  integer, parameter :: nGC_12786 = 150
  integer, parameter :: nGC_12785 = 151
  integer, parameter :: nGC_12784 = 152
  integer, parameter :: nGC_12783 = 153
  integer, parameter :: nGC_12782 = 154
  integer, parameter :: nGC_12781 = 155
  integer, parameter :: nGC_12780 = 156
  integer, parameter :: nGC_TS_GC_212_Hh = 157
  integer, parameter :: nGC_88 = 158
  integer, parameter :: nGC_89 = 159
  integer, parameter :: nGC_80 = 160
  integer, parameter :: nGC_81 = 161
  integer, parameter :: nGC_82 = 162
  integer, parameter :: nGC_83 = 163
  integer, parameter :: nGC_84 = 164
  integer, parameter :: nGC_85 = 165
  integer, parameter :: nGC_86 = 166
  integer, parameter :: nGC_87 = 167
  integer, parameter :: nGC_66 = 168
  integer, parameter :: nGC_67 = 169
  integer, parameter :: nGC_64 = 170
  integer, parameter :: nGC_65 = 171
  integer, parameter :: nGC_62 = 172
  integer, parameter :: nGC_63 = 173
  integer, parameter :: nGC_60 = 174
  integer, parameter :: nGC_61 = 175
  integer, parameter :: nGC_13430 = 176
  integer, parameter :: nGC_68 = 177
  integer, parameter :: nGC_69 = 178
  integer, parameter :: nGC_12744 = 179
  integer, parameter :: nGC_209 = 180
  integer, parameter :: nGC_208 = 181
  integer, parameter :: nGC_19650 = 182
  integer, parameter :: nGC_202 = 183
  integer, parameter :: nGC_207 = 184
  integer, parameter :: nGC_206 = 185
  integer, parameter :: nGC_205 = 186
  integer, parameter :: nGC_204 = 187
  integer, parameter :: nGC_25040 = 188
  integer, parameter :: nGC_377 = 189
  integer, parameter :: nGC_375 = 190
  integer, parameter :: nGC_371 = 191
  integer, parameter :: nGC_153 = 192
  integer, parameter :: nGC_152 = 193
  integer, parameter :: nGC_151 = 194
  integer, parameter :: nGC_150 = 195
  integer, parameter :: nGC_157 = 196
  integer, parameter :: nGC_156 = 197
  integer, parameter :: nGC_155 = 198
  integer, parameter :: nGC_154 = 199
  integer, parameter :: nGC_159 = 200
  integer, parameter :: nGC_158 = 201
  integer, parameter :: nGC_13402 = 202
  integer, parameter :: nGC_13401 = 203
  integer, parameter :: nGC_13400 = 204
  integer, parameter :: nGC_12930 = 205
  integer, parameter :: nGC_12931 = 206
  integer, parameter :: nGC_12932 = 207
  integer, parameter :: nGC_12933 = 208
  integer, parameter :: nGC_12938 = 209
  integer, parameter :: nGC_12939 = 210
  integer, parameter :: nGC_12758 = 211
  integer, parameter :: nGC_12759 = 212
  integer, parameter :: nGC_12757 = 213
  integer, parameter :: nGC_12686 = 214
  integer, parameter :: nGC_12684 = 215
  integer, parameter :: nGC_12685 = 216
  integer, parameter :: nGC_12683 = 217
  integer, parameter :: nGC_12688 = 218
  integer, parameter :: nGC_12689 = 219
  integer, parameter :: nGC_MI = 220
  integer, parameter :: nGC_53 = 221
  integer, parameter :: nGC_52 = 222
  integer, parameter :: nGC_51 = 223
  integer, parameter :: nGC_50 = 224
  integer, parameter :: nGC_57 = 225
  integer, parameter :: nGC_56 = 226
  integer, parameter :: nGC_55 = 227
  integer, parameter :: nGC_54 = 228
  integer, parameter :: nGC_59 = 229
  integer, parameter :: nGC_58 = 230
  integer, parameter :: nGC_42 = 231
  integer, parameter :: nGC_12518 = 232
  integer, parameter :: nGC_TS_GC_224_Hh = 233
  integer, parameter :: nGC_307 = 234
  integer, parameter :: nGC_309 = 235
  integer, parameter :: nGC_TS_GC_227_Hl = 236
  integer, parameter :: nGC_191 = 237
  integer, parameter :: nGC_190 = 238
  integer, parameter :: nGC_19258 = 239
  integer, parameter :: nGC_21355 = 240
  integer, parameter :: nGC_TS_GC_215_Hl = 241
  integer, parameter :: nGC_19257 = 242
  integer, parameter :: nGC_13506 = 243
  integer, parameter :: nGC_13507 = 244
  integer, parameter :: nGC_13500 = 245
  integer, parameter :: nGC_TS_GC_93_Hh = 246
  integer, parameter :: nGC_TS_GC_93_Hl = 247
  integer, parameter :: nGC_12922 = 248
  integer, parameter :: nGC_12921 = 249
  integer, parameter :: nGC_12920 = 250
  integer, parameter :: nGC_13432 = 251
  integer, parameter :: nGC_13433 = 252
  integer, parameter :: nGC_12929 = 253
  integer, parameter :: nGC_12928 = 254
  integer, parameter :: nGC_13437 = 255
  integer, parameter :: nGC_13434 = 256
  integer, parameter :: nGC_12749 = 257
  integer, parameter :: nGC_12748 = 258
  integer, parameter :: nGC_12740 = 259
  integer, parameter :: nGC_12747 = 260
  integer, parameter :: nGC_12746 = 261
  integer, parameter :: nGC_12745 = 262
  integer, parameter :: nGC_13345 = 263
  integer, parameter :: nGC_13346 = 264
  integer, parameter :: nGC_13341 = 265
  integer, parameter :: nGC_13342 = 266
  integer, parameter :: nGC_12699 = 267
  integer, parameter :: nGC_12698 = 268
  integer, parameter :: nGC_12690 = 269
  integer, parameter :: nGC_12695 = 270
  integer, parameter :: nGC_12697 = 271
  integer, parameter :: nGC_12696 = 272
  integer, parameter :: nGC_12508 = 273
  integer, parameter :: nGC_23642 = 274
  integer, parameter :: nGC_23643 = 275
  integer, parameter :: nGC_48 = 276
  integer, parameter :: nGC_49 = 277
  integer, parameter :: nGC_44 = 278
  integer, parameter :: nGC_45 = 279
  integer, parameter :: nGC_46 = 280
  integer, parameter :: nGC_47 = 281
  integer, parameter :: nGC_40 = 282
  integer, parameter :: nGC_41 = 283
  integer, parameter :: nGC_43 = 284
  integer, parameter :: nGC_21540 = 285
  integer, parameter :: nGC_TS_GC_204_Hh = 286
  integer, parameter :: nGC_313 = 287
  integer, parameter :: nGC_315 = 288
  integer, parameter :: nGC_317 = 289
  integer, parameter :: nGC_20741 = 290
  integer, parameter :: nGC_12602 = 291
  integer, parameter :: nGC_695 = 292
  integer, parameter :: nGC_23637 = 293
  integer, parameter :: nGC_23636 = 294
  integer, parameter :: nGC_20740 = 295
  integer, parameter :: nGC_19067 = 296
  integer, parameter :: nGC_12598 = 297
  integer, parameter :: nGC_12599 = 298
  integer, parameter :: nGC_12592 = 299
  integer, parameter :: nGC_12593 = 300
  integer, parameter :: nGC_12590 = 301
  integer, parameter :: nGC_12591 = 302
  integer, parameter :: nGC_12596 = 303
  integer, parameter :: nGC_12597 = 304
  integer, parameter :: nGC_12594 = 305
  integer, parameter :: nGC_12595 = 306
  integer, parameter :: nGC_12916 = 307
  integer, parameter :: nGC_12917 = 308
  integer, parameter :: nGC_12914 = 309
  integer, parameter :: nGC_12915 = 310
  integer, parameter :: nGC_12912 = 311
  integer, parameter :: nGC_12913 = 312
  integer, parameter :: nGC_12910 = 313
  integer, parameter :: nGC_12911 = 314
  integer, parameter :: nGC_13425 = 315
  integer, parameter :: nGC_13421 = 316
  integer, parameter :: nGC_19115 = 317
  integer, parameter :: nGC_13422 = 318
  integer, parameter :: nGC_12778 = 319
  integer, parameter :: nGC_12779 = 320
  integer, parameter :: nGC_12776 = 321
  integer, parameter :: nGC_12777 = 322
  integer, parameter :: nGC_12774 = 323
  integer, parameter :: nGC_12775 = 324
  integer, parameter :: nGC_12772 = 325
  integer, parameter :: nGC_12773 = 326
  integer, parameter :: nGC_20018 = 327
  integer, parameter :: nGC_13352 = 328
  integer, parameter :: nGC_13350 = 329
  integer, parameter :: nGC_20019 = 330
  integer, parameter :: nGC_12519 = 331
  integer, parameter :: nGC_12949 = 332
  integer, parameter :: nGC_39 = 333
  integer, parameter :: nGC_38 = 334
  integer, parameter :: nGC_31 = 335
  integer, parameter :: nGC_30 = 336
  integer, parameter :: nGC_33 = 337
  integer, parameter :: nGC_32 = 338
  integer, parameter :: nGC_35 = 339
  integer, parameter :: nGC_34 = 340
  integer, parameter :: nGC_37 = 341
  integer, parameter :: nGC_36 = 342
  integer, parameter :: nGC_311 = 343
  integer, parameter :: nGC_22997 = 344
  integer, parameter :: nGC_13577 = 345
  integer, parameter :: nGC_12571 = 346
  integer, parameter :: nGC_13575 = 347
  integer, parameter :: nGC_196 = 348
  integer, parameter :: nGC_12573 = 349
  integer, parameter :: nGC_13573 = 350
  integer, parameter :: nGC_12576 = 351
  integer, parameter :: nGC_12577 = 352
  integer, parameter :: nGC_20756 = 353
  integer, parameter :: nGC_329 = 354
  integer, parameter :: nGC_325 = 355
  integer, parameter :: nGC_327 = 356
  integer, parameter :: nGC_321 = 357
  integer, parameter :: nGC_323 = 358
  integer, parameter :: nGC_200 = 359
  integer, parameter :: nGC_MTA = 360
  integer, parameter :: nGC_188 = 361
  integer, parameter :: nGC_189 = 362
  integer, parameter :: nGC_19477 = 363
  integer, parameter :: nGC_180 = 364
  integer, parameter :: nGC_181 = 365
  integer, parameter :: nGC_182 = 366
  integer, parameter :: nGC_183 = 367
  integer, parameter :: nGC_184 = 368
  integer, parameter :: nGC_185 = 369
  integer, parameter :: nGC_186 = 370
  integer, parameter :: nGC_187 = 371
  integer, parameter :: nGC_19583 = 372
  integer, parameter :: nGC_19298 = 373
  integer, parameter :: nGC_13295 = 374
  integer, parameter :: nGC_12589 = 375
  integer, parameter :: nGC_12585 = 376
  integer, parameter :: nGC_12584 = 377
  integer, parameter :: nGC_21863 = 378
  integer, parameter :: nGC_12581 = 379
  integer, parameter :: nGC_12583 = 380
  integer, parameter :: nGC_12582 = 381
  integer, parameter :: nGC_TS_GC_184_Hl = 382
  integer, parameter :: nGC_12909 = 383
  integer, parameter :: nGC_12908 = 384
  integer, parameter :: nGC_12509 = 385
  integer, parameter :: nGC_12905 = 386
  integer, parameter :: nGC_12907 = 387
  integer, parameter :: nGC_12906 = 388
  integer, parameter :: nGC_12761 = 389
  integer, parameter :: nGC_12760 = 390
  integer, parameter :: nGC_12763 = 391
  integer, parameter :: nGC_13369 = 392
  integer, parameter :: nGC_12767 = 393
  integer, parameter :: nGC_12768 = 394
  integer, parameter :: nGC_13361 = 395
  integer, parameter :: nGC_13367 = 396
  integer, parameter :: nGC_13364 = 397
  integer, parameter :: nGC_13365 = 398
  integer, parameter :: nGC_12529 = 399
  integer, parameter :: nGC_13371 = 400
  integer, parameter :: nGC_28 = 401
  integer, parameter :: nGC_29 = 402
  integer, parameter :: nGC_22 = 403
  integer, parameter :: nGC_23 = 404
  integer, parameter :: nGC_20 = 405
  integer, parameter :: nGC_21 = 406
  integer, parameter :: nGC_26 = 407
  integer, parameter :: nGC_27 = 408
  integer, parameter :: nGC_24 = 409
  integer, parameter :: nGC_25 = 410
  integer, parameter :: nGC_12486 = 411
  integer, parameter :: nGC_MHH = 412
  integer, parameter :: nGC_339 = 413
  integer, parameter :: nGC_TS_GC_32_Hh = 414
  integer, parameter :: nGC_12801 = 415
  integer, parameter :: nGC_331 = 416
  integer, parameter :: nGC_337 = 417
  integer, parameter :: nGC_335 = 418
  integer, parameter :: nGC_197 = 419
  integer, parameter :: nGC_195 = 420
  integer, parameter :: nGC_194 = 421
  integer, parameter :: nGC_193 = 422
  integer, parameter :: nGC_192 = 423
  integer, parameter :: nGC_199 = 424
  integer, parameter :: nGC_198 = 425
  integer, parameter :: nGC_19460 = 426
  integer, parameter :: nGC_12628 = 427
  integer, parameter :: nGC_12629 = 428
  integer, parameter :: nGC_605 = 429
  integer, parameter :: nGC_15 = 430
  integer, parameter :: nGC_14 = 431
  integer, parameter :: nGC_513 = 432
  integer, parameter :: nGC_12620 = 433
  integer, parameter :: nGC_517 = 434
  integer, parameter :: nGC_12621 = 435
  integer, parameter :: nGC_1957 = 436
  integer, parameter :: nGC_12626 = 437
  integer, parameter :: nGC_18 = 438
  integer, parameter :: nGC_203 = 439
  integer, parameter :: nGC_19651 = 440
  integer, parameter :: nGC_19280 = 441
  integer, parameter :: nGC_201 = 442
  integer, parameter :: nGC_12570 = 443
  integer, parameter :: nGC_13576 = 444
  integer, parameter :: nGC_12572 = 445
  integer, parameter :: nGC_13574 = 446
  integer, parameter :: nGC_12574 = 447
  integer, parameter :: nGC_12575 = 448
  integer, parameter :: nGC_13571 = 449
  integer, parameter :: nGC_13570 = 450
  integer, parameter :: nGC_13579 = 451
  integer, parameter :: nGC_13578 = 452
  integer, parameter :: nGC_12970 = 453
  integer, parameter :: nGC_13378 = 454
  integer, parameter :: nGC_12712 = 455
  integer, parameter :: nGC_12713 = 456
  integer, parameter :: nGC_13375 = 457
  integer, parameter :: nGC_13374 = 458
  integer, parameter :: nGC_13377 = 459
  integer, parameter :: nGC_13376 = 460
  integer, parameter :: nGC_12718 = 461
  integer, parameter :: nGC_12719 = 462
  integer, parameter :: nGC_13373 = 463
  integer, parameter :: nGC_12484 = 464
  integer, parameter :: nGC_12485 = 465
  integer, parameter :: nGC_12483 = 466
  integer, parameter :: nGC_12802 = 467
  integer, parameter :: nGC_12803 = 468
  integer, parameter :: nGC_12804 = 469
  integer, parameter :: nGC_12805 = 470
  integer, parameter :: nGC_17 = 471
  integer, parameter :: nGC_16 = 472
  integer, parameter :: nGC_23635 = 473
  integer, parameter :: nGC_23634 = 474
  integer, parameter :: nGC_13 = 475
  integer, parameter :: nGC_12 = 476
  integer, parameter :: nGC_11 = 477
  integer, parameter :: nGC_10 = 478
  integer, parameter :: nGC_12622 = 479
  integer, parameter :: nGC_12623 = 480
  integer, parameter :: nGC_12624 = 481
  integer, parameter :: nGC_12625 = 482
  integer, parameter :: nGC_19 = 483
  integer, parameter :: nGC_2029 = 484
  integer, parameter :: nGC_21673 = 485
  integer, parameter :: nGC_21674 = 486
  integer, parameter :: nGC_13459 = 487
  integer, parameter :: nGC_19459 = 488
  integer, parameter :: nGC_13451 = 489
  integer, parameter :: nGC_13105 = 490
  integer, parameter :: nGC_21066 = 491
  integer, parameter :: nGC_21067 = 492
  integer, parameter :: nGC_21068 = 493
  integer, parameter :: nGC_21069 = 494
  integer, parameter :: nGC_TS_GC_192_Hh = 495
  integer, parameter :: nGC_TS_GC_192_Hl = 496
  integer, parameter :: nGC_12563 = 497
  integer, parameter :: nGC_12567 = 498
  integer, parameter :: nGC_12566 = 499
  integer, parameter :: nGC_12565 = 500
  integer, parameter :: nGC_12564 = 501
  integer, parameter :: nGC_12569 = 502
  integer, parameter :: nGC_12568 = 503
  integer, parameter :: nGC_TS_GC_199_Hl = 504
  integer, parameter :: nGC_12969 = 505
  integer, parameter :: nGC_12966 = 506
  integer, parameter :: nGC_12965 = 507
  integer, parameter :: nGC_12961 = 508
  integer, parameter :: nGC_19141 = 509
  integer, parameter :: nGC_12707 = 510
  integer, parameter :: nGC_13381 = 511
  integer, parameter :: nGC_13383 = 512
  integer, parameter :: nGC_13385 = 513
  integer, parameter :: nGC_12709 = 514
  integer, parameter :: nGC_12708 = 515
  integer, parameter :: nGC_12497 = 516
  integer, parameter :: nGC_12496 = 517
  integer, parameter :: nGC_12495 = 518
  integer, parameter :: nGC_12494 = 519
  integer, parameter :: nGC_12493 = 520
  integer, parameter :: nGC_12492 = 521
  integer, parameter :: nGC_13146 = 522
  integer, parameter :: nGC_13147 = 523
  integer, parameter :: nGC_13141 = 524
  integer, parameter :: nGC_12813 = 525
  integer, parameter :: nGC_12812 = 526
  integer, parameter :: nGC_12811 = 527
  integer, parameter :: nGC_12810 = 528
  integer, parameter :: nGC_12817 = 529
  integer, parameter :: nGC_12816 = 530
  integer, parameter :: nGC_12815 = 531
  integer, parameter :: nGC_12814 = 532
  integer, parameter :: nGC_13429 = 533
  integer, parameter :: nGC_12818 = 534
  integer, parameter :: nGC_13428 = 535
  integer, parameter :: nGC_12639 = 536
  integer, parameter :: nGC_12638 = 537
  integer, parameter :: nGC_12637 = 538
  integer, parameter :: nGC_12636 = 539
  integer, parameter :: nGC_19113 = 540
  integer, parameter :: nGC_13420 = 541
  integer, parameter :: nGC_13423 = 542
  integer, parameter :: nGC_21468 = 543
  integer, parameter :: nGC_21469 = 544
  integer, parameter :: nGC_21467 = 545
  integer, parameter :: nGC_TS_GC_33_Hl = 546
  integer, parameter :: nGC_TS_GC_33_Hh = 547
  integer, parameter :: nGC_13588 = 548
  integer, parameter :: nGC_TS_GC_175_Hl = 549
  integer, parameter :: nGC_13589 = 550
  integer, parameter :: nGC_TS_GC_32_Hl = 551
  integer, parameter :: nGC_21075 = 552
  integer, parameter :: nGC_21074 = 553
  integer, parameter :: nGC_21078 = 554
  integer, parameter :: nGC_12556 = 555
  integer, parameter :: nGC_12552 = 556
  integer, parameter :: nGC_12550 = 557
  integer, parameter :: nGC_12551 = 558
  integer, parameter :: nGC_21859 = 559
  integer, parameter :: nGC_12952 = 560
  integer, parameter :: nGC_12953 = 561
  integer, parameter :: nGC_12950 = 562
  integer, parameter :: nGC_12951 = 563
  integer, parameter :: nGC_12956 = 564
  integer, parameter :: nGC_12954 = 565
  integer, parameter :: nGC_12955 = 566
  integer, parameter :: nGC_MW_GF = 567
  integer, parameter :: nGC_13393 = 568
  integer, parameter :: nGC_13392 = 569
  integer, parameter :: nGC_13391 = 570
  integer, parameter :: nGC_13397 = 571
  integer, parameter :: nGC_13396 = 572
  integer, parameter :: nGC_13395 = 573
  integer, parameter :: nGC_13394 = 574
  integer, parameter :: nGC_13399 = 575
  integer, parameter :: nGC_13398 = 576
  integer, parameter :: nGC_13152 = 577
  integer, parameter :: nGC_13155 = 578
  integer, parameter :: nGC_845 = 579
  integer, parameter :: nGC_13158 = 580
  integer, parameter :: nGC_12826 = 581
  integer, parameter :: nGC_12827 = 582
  integer, parameter :: nGC_12824 = 583
  integer, parameter :: nGC_12825 = 584
  integer, parameter :: nGC_12823 = 585
  integer, parameter :: nGC_12828 = 586
  integer, parameter :: nGC_12829 = 587
  integer, parameter :: nGC_20091 = 588
  integer, parameter :: nGC_12608 = 589
  integer, parameter :: nGC_12609 = 590
  integer, parameter :: nGC_12606 = 591
  integer, parameter :: nGC_12607 = 592
  integer, parameter :: nGC_12604 = 593
  integer, parameter :: nGC_12605 = 594
  integer, parameter :: nGC_12603 = 595
  integer, parameter :: nGC_12600 = 596
  integer, parameter :: nGC_12601 = 597
  integer, parameter :: nGC_12738 = 598
  integer, parameter :: nGC_12739 = 599
  integer, parameter :: nGC_12732 = 600
  integer, parameter :: nGC_12733 = 601
  integer, parameter :: nGC_12730 = 602
  integer, parameter :: nGC_12731 = 603
  integer, parameter :: nGC_12736 = 604
  integer, parameter :: nGC_12737 = 605
  integer, parameter :: nGC_12734 = 606
  integer, parameter :: nGC_12735 = 607
  integer, parameter :: nGC_21476 = 608
  integer, parameter :: nGC_21475 = 609
  integer, parameter :: nGC_21470 = 610
  integer, parameter :: nGC_12705 = 611
  integer, parameter :: nGC_19629 = 612
  integer, parameter :: nGC_19625 = 613
  integer, parameter :: nGC_19624 = 614
  integer, parameter :: nGC_19623 = 615
  integer, parameter :: nGC_19622 = 616
  integer, parameter :: nGC_29592 = 617
  integer, parameter :: nGC_29593 = 618
  integer, parameter :: nGC_20717 = 619
  integer, parameter :: nGC_13498 = 620
  integer, parameter :: nGC_19163 = 621
  integer, parameter :: nGC_383 = 622
  integer, parameter :: nGC_381 = 623
  integer, parameter :: nGC_387 = 624
  integer, parameter :: nGC_20408 = 625
  integer, parameter :: nGC_19164 = 626
  integer, parameter :: nGC_MZ_GF = 627
  integer, parameter :: nGC_19540 = 628
  integer, parameter :: nGC_19541 = 629
  integer, parameter :: nGC_TS_GC_216_Hh = 630
  integer, parameter :: nGC_TS_GC_190_Hh = 631
  integer, parameter :: nGC_19094 = 632
  integer, parameter :: nGC_19092 = 633
  integer, parameter :: nGC_126 = 634
  integer, parameter :: nGC_127 = 635
  integer, parameter :: nGC_124 = 636
  integer, parameter :: nGC_125 = 637
  integer, parameter :: nGC_122 = 638
  integer, parameter :: nGC_123 = 639
  integer, parameter :: nGC_120 = 640
  integer, parameter :: nGC_121 = 641
  integer, parameter :: nGC_128 = 642
  integer, parameter :: nGC_129 = 643
  integer, parameter :: nGC_MMW_GF = 644
  integer, parameter :: nGC_12945 = 645
  integer, parameter :: nGC_12944 = 646
  integer, parameter :: nGC_12947 = 647
  integer, parameter :: nGC_12946 = 648
  integer, parameter :: nGC_12941 = 649
  integer, parameter :: nGC_12940 = 650
  integer, parameter :: nGC_12943 = 651
  integer, parameter :: nGC_12942 = 652
  integer, parameter :: nGC_13495 = 653
  integer, parameter :: nGC_13497 = 654
  integer, parameter :: nGC_12948 = 655
  integer, parameter :: nGC_13492 = 656
  integer, parameter :: nGC_13493 = 657
  integer, parameter :: nGC_26237 = 658
  integer, parameter :: nGC_26238 = 659
  integer, parameter :: nGC_26239 = 660
  integer, parameter :: nGC_13126 = 661
  integer, parameter :: nGC_13122 = 662
  integer, parameter :: nGC_I = 663
  integer, parameter :: nGC_13129 = 664
  integer, parameter :: nGC_12831 = 665
  integer, parameter :: nGC_12830 = 666
  integer, parameter :: nGC_12832 = 667
  integer, parameter :: nGC_12837 = 668
  integer, parameter :: nGC_12836 = 669
  integer, parameter :: nGC_12549 = 670
  integer, parameter :: nGC_12548 = 671
  integer, parameter :: nGC_TS_GC_162_Hl = 672
  integer, parameter :: nGC_12541 = 673
  integer, parameter :: nGC_12540 = 674
  integer, parameter :: nGC_12543 = 675
  integer, parameter :: nGC_12542 = 676
  integer, parameter :: nGC_12545 = 677
  integer, parameter :: nGC_12544 = 678
  integer, parameter :: nGC_12547 = 679
  integer, parameter :: nGC_12546 = 680
  integer, parameter :: nGC_12611 = 681
  integer, parameter :: nGC_12610 = 682
  integer, parameter :: nGC_12613 = 683
  integer, parameter :: nGC_12612 = 684
  integer, parameter :: nGC_12615 = 685
  integer, parameter :: nGC_12614 = 686
  integer, parameter :: nGC_12617 = 687
  integer, parameter :: nGC_12616 = 688
  integer, parameter :: nGC_12619 = 689
  integer, parameter :: nGC_12618 = 690
  integer, parameter :: nGC_3 = 691
  integer, parameter :: nGC_2 = 692
  integer, parameter :: nGC_1 = 693
  integer, parameter :: nGC_7 = 694
  integer, parameter :: nGC_6 = 695
  integer, parameter :: nGC_5 = 696
  integer, parameter :: nGC_4 = 697
  integer, parameter :: nGC_9 = 698
  integer, parameter :: nGC_8 = 699
  integer, parameter :: nGC_12729 = 700
  integer, parameter :: nGC_12728 = 701
  integer, parameter :: nGC_12727 = 702
  integer, parameter :: nGC_12720 = 703
  integer, parameter :: nGC_21442 = 704
  integer, parameter :: nGC_23570 = 705
  integer, parameter :: nGC_19940 = 706
  integer, parameter :: nGC_19941 = 707
  integer, parameter :: nGC_TS_GC_34_Hl = 708
  integer, parameter :: nGC_12854 = 709
  integer, parameter :: nGC_20662 = 710
  integer, parameter :: nGC_24995 = 711
  integer, parameter :: nGC_TS_GC_36_Hh = 712
  integer, parameter :: nGC_TS_GC_36_Hl = 713
  integer, parameter :: nGC_12710 = 714
  integer, parameter :: nGC_TS_GC_219_Hl = 715
  integer, parameter :: nGC_3125 = 716
  integer, parameter :: nGC_19764 = 717
  integer, parameter :: nGC_19765 = 718
  integer, parameter :: nGC_12711 = 719
  integer, parameter :: nGC_19557 = 720
  integer, parameter :: nGC_12627 = 721
  integer, parameter :: nGC_20870 = 722
  integer, parameter :: nGC_1177 = 723
  integer, parameter :: nGC_135 = 724
  integer, parameter :: nGC_134 = 725
  integer, parameter :: nGC_137 = 726
  integer, parameter :: nGC_136 = 727
  integer, parameter :: nGC_131 = 728
  integer, parameter :: nGC_130 = 729
  integer, parameter :: nGC_133 = 730
  integer, parameter :: nGC_132 = 731
  integer, parameter :: nGC_139 = 732
  integer, parameter :: nGC_138 = 733
  integer, parameter :: nGC_13003 = 734
  integer, parameter :: nGC_13002 = 735
  integer, parameter :: nGC_13001 = 736
  integer, parameter :: nGC_13000 = 737
  integer, parameter :: nGC_13007 = 738
  integer, parameter :: nGC_13006 = 739
  integer, parameter :: nGC_13005 = 740
  integer, parameter :: nGC_13004 = 741
  integer, parameter :: nGC_1513 = 742
  integer, parameter :: nGC_12687 = 743
  integer, parameter :: nGC_13483 = 744
  integer, parameter :: nGC_13482 = 745
  integer, parameter :: nGC_13481 = 746
  integer, parameter :: nGC_19370 = 747
  integer, parameter :: nGC_12998 = 748
  integer, parameter :: nGC_12999 = 749
  integer, parameter :: nGC_12996 = 750
  integer, parameter :: nGC_12997 = 751
  integer, parameter :: nGC_12993 = 752
  integer, parameter :: nGC_12990 = 753
  integer, parameter :: nGC_13137 = 754
  integer, parameter :: nGC_13136 = 755
  integer, parameter :: nGC_13135 = 756
  integer, parameter :: nGC_13134 = 757
  integer, parameter :: nGC_13132 = 758
  integer, parameter :: nGC_13130 = 759
  integer, parameter :: nGC_13139 = 760
  integer, parameter :: nGC_13138 = 761
  integer, parameter :: nGC_12848 = 762
  integer, parameter :: nGC_12849 = 763
  integer, parameter :: nGC_12847 = 764
  integer, parameter :: nGC_12841 = 765
  integer, parameter :: nGC_12842 = 766
  integer, parameter :: nGC_12538 = 767
  integer, parameter :: nGC_12539 = 768
  integer, parameter :: nGC_12534 = 769
  integer, parameter :: nGC_12535 = 770
  integer, parameter :: nGC_12536 = 771
  integer, parameter :: nGC_12537 = 772
  integer, parameter :: nGC_12530 = 773
  integer, parameter :: nGC_12531 = 774
  integer, parameter :: nGC_12532 = 775
  integer, parameter :: nGC_12533 = 776
  integer, parameter :: nGC_12665 = 777
  integer, parameter :: nGC_12666 = 778
  integer, parameter :: nGC_12660 = 779
  integer, parameter :: nGC_12661 = 780
  integer, parameter :: nGC_22560 = 781
  integer, parameter :: nGC_22561 = 782
  integer, parameter :: nGC_13229 = 783
  integer, parameter :: nGC_13228 = 784
  integer, parameter :: nGC_13227 = 785
  integer, parameter :: nGC_13226 = 786
  integer, parameter :: nGC_13225 = 787
  integer, parameter :: nGC_13224 = 788
  integer, parameter :: nGC_19334 = 789
  integer, parameter :: nGC_20188 = 790
  integer, parameter :: nGC_20187 = 791
  integer, parameter :: nGC_23569 = 792
  integer, parameter :: nGC_19823 = 793
  integer, parameter :: nGC_TS_GC_200_Hh = 794
  integer, parameter :: nGC_19821 = 795
  integer, parameter :: nGC_TS_GC_189_Hh = 796
  integer, parameter :: nGC_TS_GC_189_Hl = 797
  integer, parameter :: nGC_19881 = 798
  integer, parameter :: nGC_19880 = 799
  integer, parameter :: nGC_19883 = 800
  integer, parameter :: nGC_20052 = 801
  integer, parameter :: nGC_TS_GC_15_Hl = 802
  integer, parameter :: nGC_12918 = 803
  integer, parameter :: nGC_12919 = 804
  integer, parameter :: nGC_12762 = 805
  integer, parameter :: nGC_TS_GC_145_Hl = 806
  integer, parameter :: nGC_19413 = 807
  integer, parameter :: nGC_19414 = 808
  integer, parameter :: nGC_19415 = 809
  integer, parameter :: nGC_TS_GC_223_Hl = 810
  integer, parameter :: nGC_21028 = 811
  integer, parameter :: nGC_147 = 812
  integer, parameter :: nGC_21026 = 813
  integer, parameter :: nGC_21027 = 814
  integer, parameter :: nGC_25037 = 815
  integer, parameter :: nGC_25039 = 816
  integer, parameter :: nGC_25038 = 817
  integer, parameter :: nGC_TS_GC_96_Hh = 818
  integer, parameter :: nGC_20867 = 819
  integer, parameter :: nGC_20869 = 820
  integer, parameter :: nGC_20868 = 821
  integer, parameter :: nGC_12960 = 822
  integer, parameter :: nGC_TS_GC_191_Hl = 823
  integer, parameter :: nGC_100 = 824
  integer, parameter :: nGC_101 = 825
  integer, parameter :: nGC_102 = 826
  integer, parameter :: nGC_103 = 827
  integer, parameter :: nGC_104 = 828
  integer, parameter :: nGC_105 = 829
  integer, parameter :: nGC_106 = 830
  integer, parameter :: nGC_107 = 831
  integer, parameter :: nGC_108 = 832
  integer, parameter :: nGC_109 = 833
  integer, parameter :: nGC_25328 = 834
  integer, parameter :: nGC_13036 = 835
  integer, parameter :: nGC_13034 = 836
  integer, parameter :: nGC_13035 = 837
  integer, parameter :: nGC_13032 = 838
  integer, parameter :: nGC_13033 = 839
  integer, parameter :: nGC_10747 = 840
  integer, parameter :: nGC_13038 = 841
  integer, parameter :: nGC_13039 = 842
  integer, parameter :: nGC_19181 = 843
  integer, parameter :: nGC_12983 = 844
  integer, parameter :: nGC_13109 = 845
  integer, parameter :: nGC_12985 = 846
  integer, parameter :: nGC_12984 = 847
  integer, parameter :: nGC_12987 = 848
  integer, parameter :: nGC_12706 = 849
  integer, parameter :: nGC_13450 = 850
  integer, parameter :: nGC_13103 = 851
  integer, parameter :: nGC_13452 = 852
  integer, parameter :: nGC_13453 = 853
  integer, parameter :: nGC_13454 = 854
  integer, parameter :: nGC_13455 = 855
  integer, parameter :: nGC_13456 = 856
  integer, parameter :: nGC_13457 = 857
  integer, parameter :: nGC_12704 = 858
  integer, parameter :: nGC_12703 = 859
  integer, parameter :: nGC_12702 = 860
  integer, parameter :: nGC_12701 = 861
  integer, parameter :: nGC_12859 = 862
  integer, parameter :: nGC_12858 = 863
  integer, parameter :: nGC_12857 = 864
  integer, parameter :: nGC_12856 = 865
  integer, parameter :: nGC_12855 = 866
  integer, parameter :: nGC_12700 = 867
  integer, parameter :: nGC_12853 = 868
  integer, parameter :: nGC_12852 = 869
  integer, parameter :: nGC_12851 = 870
  integer, parameter :: nGC_12850 = 871
  integer, parameter :: nGC_13586 = 872
  integer, parameter :: nGC_13587 = 873
  integer, parameter :: nGC_13584 = 874
  integer, parameter :: nGC_13585 = 875
  integer, parameter :: nGC_13582 = 876
  integer, parameter :: nGC_13583 = 877
  integer, parameter :: nGC_13580 = 878
  integer, parameter :: nGC_13581 = 879
  integer, parameter :: nGC_12525 = 880
  integer, parameter :: nGC_12524 = 881
  integer, parameter :: nGC_12523 = 882
  integer, parameter :: nGC_12522 = 883
  integer, parameter :: nGC_12521 = 884
  integer, parameter :: nGC_12520 = 885
  integer, parameter :: nGC_12677 = 886
  integer, parameter :: nGC_12676 = 887
  integer, parameter :: nGC_12675 = 888
  integer, parameter :: nGC_12674 = 889
  integer, parameter :: nGC_12673 = 890
  integer, parameter :: nGC_12672 = 891
  integer, parameter :: nGC_12671 = 892
  integer, parameter :: nGC_12670 = 893
  integer, parameter :: nGC_TS_GC_165_Hh = 894
  integer, parameter :: nGC_12678 = 895
  integer, parameter :: nGC_13219 = 896
  integer, parameter :: nGC_13216 = 897
  integer, parameter :: nGC_13217 = 898
  integer, parameter :: nGC_13214 = 899
  integer, parameter :: nGC_13212 = 900
  integer, parameter :: nGC_13213 = 901
  integer, parameter :: nGC_TS_GC_228_Hh = 902
  integer, parameter :: nGC_13211 = 903
  integer, parameter :: nGC_23776 = 904
  integer, parameter :: nGC_19969 = 905
  integer, parameter :: nGC_12499 = 906
  integer, parameter :: nGC_12498 = 907
  integer, parameter :: nGC_12800 = 908
  integer, parameter :: nGC_TS_GC_178_Hh = 909
  integer, parameter :: nGC_23228 = 910
  integer, parameter :: nGC_23223 = 911
  integer, parameter :: nGC_12980 = 912
  integer, parameter :: nGC_19746 = 913
  integer, parameter :: nGC_19745 = 914
  integer, parameter :: nGC_TS_GC_35_Hh = 915
  integer, parameter :: nGC_21151 = 916
  integer, parameter :: nGC_21152 = 917
  integer, parameter :: nGC_20274 = 918
  integer, parameter :: nGC_19571 = 919
  integer, parameter :: nGC_19570 = 920
  integer, parameter :: nGC_19573 = 921
  integer, parameter :: nGC_19572 = 922
  integer, parameter :: nGC_19575 = 923
  integer, parameter :: nGC_19574 = 924
  integer, parameter :: nGC_20527 = 925
  integer, parameter :: nGC_25000 = 926
  integer, parameter :: nGC_25001 = 927
  integer, parameter :: nGC_20528 = 928
  integer, parameter :: nGC_20529 = 929
  integer, parameter :: nGC_12630 = 930
  integer, parameter :: nGC_12989 = 931
  integer, parameter :: nGC_TS_GC_208_Hh = 932
  integer, parameter :: nGC_509 = 933
  integer, parameter :: nGC_20305 = 934
  integer, parameter :: nGC_119 = 935
  integer, parameter :: nGC_118 = 936
  integer, parameter :: nGC_117 = 937
  integer, parameter :: nGC_116 = 938
  integer, parameter :: nGC_115 = 939
  integer, parameter :: nGC_114 = 940
  integer, parameter :: nGC_113 = 941
  integer, parameter :: nGC_112 = 942
  integer, parameter :: nGC_111 = 943
  integer, parameter :: nGC_110 = 944
  integer, parameter :: nGC_24067 = 945
  integer, parameter :: nGC_24066 = 946
  integer, parameter :: nGC_22479 = 947
  integer, parameter :: nGC_24062 = 948
  integer, parameter :: nGC_24061 = 949
  integer, parameter :: nGC_24068 = 950
  integer, parameter :: nGC_TS_GC_31_Hl = 951
  integer, parameter :: nGC_TS_GC_211_Hl = 952
  integer, parameter :: nGC_3981 = 953
  integer, parameter :: nGC_TS_GC_29_Hl = 954
  integer, parameter :: nGC_19198 = 955
  integer, parameter :: nGC_TS_GC_29_Hh = 956
  integer, parameter :: nGC_21348 = 957
  integer, parameter :: nGC_TS_GC_148_Hh = 958
  integer, parameter :: nGC_13196 = 959
  integer, parameter :: nGC_TS_GC_148_Hl = 960
  integer, parameter :: nGC_13058 = 961
  integer, parameter :: nGC_13314 = 962
  integer, parameter :: nGC_13190 = 963
  integer, parameter :: nGC_13449 = 964
  integer, parameter :: nGC_13448 = 965
  integer, parameter :: nGC_13118 = 966
  integer, parameter :: nGC_13115 = 967
  integer, parameter :: nGC_13442 = 968
  integer, parameter :: nGC_13441 = 969
  integer, parameter :: nGC_13440 = 970
  integer, parameter :: nGC_13111 = 971
  integer, parameter :: nGC_13110 = 972
  integer, parameter :: nGC_13445 = 973
  integer, parameter :: nGC_13112 = 974
  integer, parameter :: nGC_10729 = 975
  integer, parameter :: nGC_TS_GC_135_Hh = 976
  integer, parameter :: nGC_TS_GC_130_Hl = 977
  integer, parameter :: nGC_10727 = 978
  integer, parameter :: nGC_10725 = 979
  integer, parameter :: nGC_19711 = 980
  integer, parameter :: nGC_19714 = 981
  integer, parameter :: nGC_13591 = 982
  integer, parameter :: nGC_13590 = 983
  integer, parameter :: nGC_19652 = 984
  integer, parameter :: nGC_13592 = 985
  integer, parameter :: nGC_19654 = 986
  integer, parameter :: nGC_TS_GC_207_Hl = 987
  integer, parameter :: nGC_13051 = 988
  integer, parameter :: nGC_13186 = 989
  integer, parameter :: nGC_13187 = 990
  integer, parameter :: nGC_13021 = 991
  integer, parameter :: nGC_13020 = 992
  integer, parameter :: nGC_21816 = 993
  integer, parameter :: nGC_13025 = 994
  integer, parameter :: nGC_13027 = 995
  integer, parameter :: nGC_13026 = 996
  integer, parameter :: nGC_20218 = 997
  integer, parameter :: nGC_20219 = 998
  integer, parameter :: nGC_13362 = 999
  integer, parameter :: nGC_13363 = 1000
  integer, parameter :: nGC_22544 = 1001
  integer, parameter :: nGC_22540 = 1002
  integer, parameter :: nGC_22541 = 1003
  integer, parameter :: nGC_25042 = 1004
  integer, parameter :: nGC_13203 = 1005
  integer, parameter :: nGC_13202 = 1006
  integer, parameter :: nGC_13205 = 1007
  integer, parameter :: nGC_13204 = 1008
  integer, parameter :: nGC_13207 = 1009
  integer, parameter :: nGC_13206 = 1010
  integer, parameter :: nGC_13209 = 1011
  integer, parameter :: nGC_13208 = 1012
  integer, parameter :: nGC_13163 = 1013
  integer, parameter :: nGC_13164 = 1014
  integer, parameter :: nGC_13165 = 1015
  integer, parameter :: nGC_13166 = 1016
  integer, parameter :: nGC_13167 = 1017
  integer, parameter :: nGC_19368 = 1018
  integer, parameter :: nGC_19369 = 1019
  integer, parameter :: nGC_23004 = 1020
  integer, parameter :: nGC_13348 = 1021
  integer, parameter :: nGC_13349 = 1022
  integer, parameter :: nGC_22063 = 1023
  integer, parameter :: nGC_13066 = 1024
  integer, parameter :: nGC_TS_GC_82_Hl = 1025
  integer, parameter :: nGC_27945 = 1026
  integer, parameter :: nGC_21539 = 1027
  integer, parameter :: nGC_20325 = 1028
  integer, parameter :: nGC_20326 = 1029
  integer, parameter :: nGC_20327 = 1030
  integer, parameter :: nGC_20328 = 1031
  integer, parameter :: nGC_19222 = 1032
  integer, parameter :: nGC_24839 = 1033
  integer, parameter :: nGC_20889 = 1034
  integer, parameter :: nGC_19429 = 1035
  integer, parameter :: nGC_13177 = 1036
  integer, parameter :: nGC_19311 = 1037
  integer, parameter :: nGC_TS_GC_118_Hh = 1038
  integer, parameter :: nGC_13247 = 1039
  integer, parameter :: nGC_13407 = 1040
  integer, parameter :: nGC_13406 = 1041
  integer, parameter :: nGC_13405 = 1042
  integer, parameter :: nGC_13404 = 1043
  integer, parameter :: nGC_13403 = 1044
  integer, parameter :: nGC_13017 = 1045
  integer, parameter :: nGC_13018 = 1046
  integer, parameter :: nGC_13019 = 1047
  integer, parameter :: nGC_13409 = 1048
  integer, parameter :: nGC_13408 = 1049
  integer, parameter :: nGC_13010 = 1050
  integer, parameter :: nGC_21718 = 1051
  integer, parameter :: nGC_21717 = 1052
  integer, parameter :: nGC_13499 = 1053
  integer, parameter :: nGC_13494 = 1054
  integer, parameter :: nGC_13496 = 1055
  integer, parameter :: nGC_13490 = 1056
  integer, parameter :: nGC_13491 = 1057
  integer, parameter :: nGC_19165 = 1058
  integer, parameter :: nGC_13065 = 1059
  integer, parameter :: nGC_13064 = 1060
  integer, parameter :: nGC_13067 = 1061
  integer, parameter :: nGC_13061 = 1062
  integer, parameter :: nGC_13063 = 1063
  integer, parameter :: nGC_13062 = 1064
  integer, parameter :: nGC_13120 = 1065
  integer, parameter :: nGC_13068 = 1066
  integer, parameter :: nGC_13248 = 1067
  integer, parameter :: nGC_13245 = 1068
  integer, parameter :: nGC_13244 = 1069
  integer, parameter :: nGC_29342 = 1070
  integer, parameter :: nGC_13241 = 1071
  integer, parameter :: nGC_13240 = 1072
  integer, parameter :: nGC_13125 = 1073
  integer, parameter :: nGC_13089 = 1074
  integer, parameter :: nGC_13088 = 1075
  integer, parameter :: nGC_20441 = 1076
  integer, parameter :: nGC_13121 = 1077
  integer, parameter :: nGC_13081 = 1078
  integer, parameter :: nGC_13080 = 1079
  integer, parameter :: nGC_13087 = 1080
  integer, parameter :: nGC_13086 = 1081
  integer, parameter :: nGC_19728 = 1082
  integer, parameter :: nGC_13128 = 1083
  integer, parameter :: nGC_19723 = 1084
  integer, parameter :: nGC_19724 = 1085
  integer, parameter :: nGC_13443 = 1086
  integer, parameter :: nGC_TS_GC_220_Hh = 1087
  integer, parameter :: nGC_13114 = 1088
  integer, parameter :: nGC_13117 = 1089
  integer, parameter :: nGC_13116 = 1090
  integer, parameter :: nGC_20369 = 1091
  integer, parameter :: nGC_13447 = 1092
  integer, parameter :: nGC_20361 = 1093
  integer, parameter :: nGC_13446 = 1094
  integer, parameter :: nGC_29343 = 1095
  integer, parameter :: nGC_20530 = 1096
  integer, parameter :: nGC_13232 = 1097
  integer, parameter :: nGC_13299 = 1098
  integer, parameter :: nGC_20535 = 1099
  integer, parameter :: nGC_20534 = 1100
  integer, parameter :: nGC_13236 = 1101
  integer, parameter :: nGC_13237 = 1102
  integer, parameter :: nGC_13282 = 1103
  integer, parameter :: nGC_19467 = 1104
  integer, parameter :: nGC_19465 = 1105
  integer, parameter :: nGC_20841 = 1106
  integer, parameter :: nGC_20842 = 1107
  integer, parameter :: nGC_TS_GC_117_Hh = 1108
  integer, parameter :: nGC_13286 = 1109
  integer, parameter :: nGC_19403 = 1110
  integer, parameter :: nGC_6715 = 1111
  integer, parameter :: nGC_27972 = 1112
  integer, parameter :: nGC_19727 = 1113
  integer, parameter :: nGC_19213 = 1114
  integer, parameter :: nGC_19214 = 1115
  integer, parameter :: nGC_13444 = 1116
  integer, parameter :: nGC_13294 = 1117
  integer, parameter :: nGC_TS_GC_196_Hh = 1118
  integer, parameter :: nGC_20105 = 1119
  integer, parameter :: nGC_26271 = 1120
  integer, parameter :: nGC_19325 = 1121
  integer, parameter :: nGC_19326 = 1122
  integer, parameter :: nGC_19391 = 1123
  integer, parameter :: nGC_19653 = 1124
  integer, parameter :: nGC_13478 = 1125
  integer, parameter :: nGC_13479 = 1126
  integer, parameter :: nGC_13476 = 1127
  integer, parameter :: nGC_13477 = 1128
  integer, parameter :: nGC_13474 = 1129
  integer, parameter :: nGC_13472 = 1130
  integer, parameter :: nGC_13473 = 1131
  integer, parameter :: nGC_13470 = 1132
  integer, parameter :: nGC_13471 = 1133
  integer, parameter :: nGC_21186 = 1134
  integer, parameter :: nGC_13293 = 1135
  integer, parameter :: nGC_12978 = 1136
  integer, parameter :: nGC_22477 = 1137
  integer, parameter :: nGC_TS_GC_101_Hl = 1138
  integer, parameter :: nGC_20611 = 1139
  integer, parameter :: nGC_22478 = 1140
  integer, parameter :: nGC_12971 = 1141
  integer, parameter :: nGC_12972 = 1142
  integer, parameter :: nGC_12973 = 1143
  integer, parameter :: nGC_13194 = 1144
  integer, parameter :: nGC_22273 = 1145
  integer, parameter :: nGC_13191 = 1146
  integer, parameter :: nGC_13059 = 1147
  integer, parameter :: nGC_13192 = 1148
  integer, parameter :: nGC_13054 = 1149
  integer, parameter :: nGC_13055 = 1150
  integer, parameter :: nGC_13056 = 1151
  integer, parameter :: nGC_13057 = 1152
  integer, parameter :: nGC_13050 = 1153
  integer, parameter :: nGC_TS_GC_179_Hh = 1154
  integer, parameter :: nGC_13052 = 1155
  integer, parameter :: nGC_13053 = 1156
  integer, parameter :: nGC_13379 = 1157
  integer, parameter :: nGC_13370 = 1158
  integer, parameter :: nGC_13372 = 1159
  integer, parameter :: nGC_13274 = 1160
  integer, parameter :: nGC_13275 = 1161
  integer, parameter :: nGC_13276 = 1162
  integer, parameter :: nGC_13270 = 1163
  integer, parameter :: nGC_13272 = 1164
  integer, parameter :: nGC_13273 = 1165
  integer, parameter :: nGC_13173 = 1166
  integer, parameter :: nGC_13172 = 1167
  integer, parameter :: nGC_13171 = 1168
  integer, parameter :: nGC_13170 = 1169
  integer, parameter :: nGC_13279 = 1170
  integer, parameter :: nGC_13175 = 1171
  integer, parameter :: nGC_13174 = 1172
  integer, parameter :: nGC_13238 = 1173
  integer, parameter :: nGC_13022 = 1174
  integer, parameter :: nGC_21720 = 1175
  integer, parameter :: nGC_1257 = 1176
  integer, parameter :: nGC_13281 = 1177
  integer, parameter :: nGC_19261 = 1178
  integer, parameter :: nGC_19121 = 1179
  integer, parameter :: nGC_13285 = 1180
  integer, parameter :: nGC_13284 = 1181
  integer, parameter :: nGC_13287 = 1182
  integer, parameter :: nGC_13334 = 1183
  integer, parameter :: nGC_1035 = 1184
  integer, parameter :: nGC_19263 = 1185
  integer, parameter :: nGC_19866 = 1186
  integer, parameter :: nGC_19262 = 1187
  integer, parameter :: nGC_13308 = 1188
  integer, parameter :: nGC_13309 = 1189
  integer, parameter :: nGC_21356 = 1190
  integer, parameter :: nGC_13338 = 1191
  integer, parameter :: nGC_13301 = 1192
  integer, parameter :: nGC_13302 = 1193
  integer, parameter :: nGC_13306 = 1194
  integer, parameter :: nGC_13307 = 1195
  integer, parameter :: nGC_12991 = 1196
  integer, parameter :: nGC_13234 = 1197
  integer, parameter :: nGC_19494 = 1198
  integer, parameter :: nGC_13235 = 1199
  integer, parameter :: nGC_13360 = 1200
  integer, parameter :: nGC_20194 = 1201
  integer, parameter :: nGC_20646 = 1202
  integer, parameter :: nGC_25043 = 1203
  integer, parameter :: nGC_13366 = 1204
  integer, parameter :: nGC_19693 = 1205
  integer, parameter :: nGC_19913 = 1206
  integer, parameter :: nGC_19088 = 1207
  integer, parameter :: nGC_19915 = 1208
  integer, parameter :: nGC_19914 = 1209
  integer, parameter :: nGC_19084 = 1210
  integer, parameter :: nGC_13201 = 1211
  integer, parameter :: nGC_20025 = 1212
  integer, parameter :: nGC_20020 = 1213
  integer, parameter :: nGC_12982 = 1214
  integer, parameter :: nGC_20029 = 1215
  integer, parameter :: nGC_25041 = 1216
  integer, parameter :: nGC_25044 = 1217
  integer, parameter :: nGC_13009 = 1218
  integer, parameter :: nGC_25045 = 1219
  integer, parameter :: nGC_13390 = 1220
  integer, parameter :: nGC_13161 = 1221
  integer, parameter :: nGC_13488 = 1222
  integer, parameter :: nGC_20153 = 1223
  integer, parameter :: nGC_13486 = 1224
  integer, parameter :: nGC_13485 = 1225
  integer, parameter :: nGC_13484 = 1226
  integer, parameter :: nGC_19171 = 1227
  integer, parameter :: nGC_20156 = 1228
  integer, parameter :: nGC_20155 = 1229
  integer, parameter :: nGC_13480 = 1230
  integer, parameter :: nGC_19071 = 1231
  integer, parameter :: nGC_19072 = 1232
  integer, parameter :: nGC_19372 = 1233
  integer, parameter :: nGC_19371 = 1234
  integer, parameter :: nGC_19078 = 1235
  integer, parameter :: nGC_13508 = 1236
  integer, parameter :: nGC_22276 = 1237
  integer, parameter :: nGC_13504 = 1238
  integer, parameter :: nGC_13505 = 1239
  integer, parameter :: nGC_13502 = 1240
  integer, parameter :: nGC_13503 = 1241
  integer, parameter :: nGC_13501 = 1242
  integer, parameter :: nGC_TS_GC_30_Hh = 1243
  integer, parameter :: nGC_13151 = 1244
  integer, parameter :: nGC_21679 = 1245
  integer, parameter :: nGC_13438 = 1246
  integer, parameter :: nGC_13439 = 1247
  integer, parameter :: nGC_23005 = 1248
  integer, parameter :: nGC_13431 = 1249
  integer, parameter :: nGC_13436 = 1250
  integer, parameter :: nGC_13435 = 1251
  integer, parameter :: nGC_13458 = 1252
  integer, parameter :: nGC_13157 = 1253
  integer, parameter :: nGC_13156 = 1254
  integer, parameter :: nGC_13127 = 1255
  integer, parameter :: nGC_20372 = 1256
  integer, parameter :: nGC_20370 = 1257
  integer, parameter :: nGC_13344 = 1258
  integer, parameter :: nGC_13159 = 1259
  integer, parameter :: nGC_13347 = 1260
  integer, parameter :: nGC_13340 = 1261
  integer, parameter :: nGC_19519 = 1262
  integer, parameter :: nGC_13343 = 1263
  integer, parameter :: nGC_19516 = 1264
  integer, parameter :: nGC_20540 = 1265
  integer, parameter :: nGC_20541 = 1266
  integer, parameter :: nGC_20542 = 1267
  integer, parameter :: nGC_19450 = 1268
  integer, parameter :: nGC_19451 = 1269
  integer, parameter :: nGC_20834 = 1270
  integer, parameter :: nGC_20837 = 1271
  integer, parameter :: nGC_13113 = 1272
  integer, parameter :: nGC_19408 = 1273
  integer, parameter :: nGC_20757 = 1274
  integer, parameter :: nGC_22064 = 1275
  integer, parameter :: nGC_577 = 1276
  integer, parameter :: nGC_20026 = 1277
  integer, parameter :: nGC_23646 = 1278
  integer, parameter :: nGC_23644 = 1279
  integer, parameter :: nGC_20157 = 1280
  integer, parameter :: nGC_13107 = 1281
  integer, parameter :: nGC_13239 = 1282
  integer, parameter :: nGC_21303 = 1283
  integer, parameter :: nGC_21302 = 1284
  integer, parameter :: nGC_21305 = 1285
  integer, parameter :: nGC_21304 = 1286
  integer, parameter :: nGC_19818 = 1287
  integer, parameter :: nGC_687 = 1288
  integer, parameter :: nGC_19209 = 1289
  integer, parameter :: nGC_19208 = 1290
  integer, parameter :: nGC_19770 = 1291
  integer, parameter :: nGC_23721 = 1292
  integer, parameter :: nGC_19166 = 1293
  integer, parameter :: nGC_13123 = 1294
  integer, parameter :: nGC_TS_GC_110_Hl = 1295
  integer, parameter :: nGC_13462 = 1296
  integer, parameter :: nGC_19167 = 1297
  integer, parameter :: nGC_23848 = 1298
  integer, parameter :: nGC_23849 = 1299
  integer, parameter :: nGC_19882 = 1300
  integer, parameter :: nGC_13339 = 1301
  integer, parameter :: nGC_23840 = 1302
  integer, parameter :: nGC_23843 = 1303
  integer, parameter :: nGC_20053 = 1304
  integer, parameter :: nGC_20119 = 1305
  integer, parameter :: nGC_23847 = 1306
  integer, parameter :: nGC_19135 = 1307
  integer, parameter :: nGC_19339 = 1308
  integer, parameter :: nGC_13461 = 1309
  integer, parameter :: nGC_13460 = 1310
  integer, parameter :: nGC_13463 = 1311
  integer, parameter :: nGC_27946 = 1312
  integer, parameter :: nGC_13465 = 1313
  integer, parameter :: nGC_13464 = 1314
  integer, parameter :: nGC_13467 = 1315
  integer, parameter :: nGC_13466 = 1316
  integer, parameter :: nGC_13469 = 1317
  integer, parameter :: nGC_13468 = 1318
  integer, parameter :: nGC_TS_GC_203_Hl = 1319
  integer, parameter :: nGC_1395 = 1320
  integer, parameter :: nGC_19771 = 1321
  integer, parameter :: nGC_19679 = 1322
  integer, parameter :: nGC_12967 = 1323
  integer, parameter :: nGC_19671 = 1324
  integer, parameter :: nGC_19144 = 1325
  integer, parameter :: nGC_19145 = 1326
  integer, parameter :: nGC_19140 = 1327
  integer, parameter :: nGC_22445 = 1328
  integer, parameter :: nGC_13049 = 1329
  integer, parameter :: nGC_13048 = 1330
  integer, parameter :: nGC_13047 = 1331
  integer, parameter :: nGC_13046 = 1332
  integer, parameter :: nGC_13045 = 1333
  integer, parameter :: nGC_13044 = 1334
  integer, parameter :: nGC_13043 = 1335
  integer, parameter :: nGC_13042 = 1336
  integer, parameter :: nGC_13041 = 1337
  integer, parameter :: nGC_13040 = 1338
  integer, parameter :: nGC_13380 = 1339
  integer, parameter :: nGC_13382 = 1340
  integer, parameter :: nGC_20236 = 1341
  integer, parameter :: nGC_13386 = 1342
  integer, parameter :: nGC_20235 = 1343
  integer, parameter :: nGC_13388 = 1344
  integer, parameter :: nGC_13389 = 1345
  integer, parameter :: nGC_22277 = 1346
  integer, parameter :: nGC_13266 = 1347
  integer, parameter :: nGC_13265 = 1348
  integer, parameter :: nGC_13264 = 1349
  integer, parameter :: nGC_13263 = 1350
  integer, parameter :: nGC_13262 = 1351
  integer, parameter :: nGC_13261 = 1352
  integer, parameter :: nGC_13260 = 1353
  integer, parameter :: nGC_13144 = 1354
  integer, parameter :: nGC_13145 = 1355
  integer, parameter :: nGC_13142 = 1356
  integer, parameter :: nGC_13143 = 1357
  integer, parameter :: nGC_13230 = 1358
  integer, parameter :: nGC_13082 = 1359
  integer, parameter :: nGC_13231 = 1360
  integer, parameter :: nGC_13008 = 1361
  integer, parameter :: nGC_19856 = 1362
  integer, parameter :: nGC_19857 = 1363
  integer, parameter :: nGC_19858 = 1364
  integer, parameter :: nGC_12974 = 1365
  integer, parameter :: nGC_20307 = 1366
  integer, parameter :: nGC_13319 = 1367
  integer, parameter :: nGC_13318 = 1368
  integer, parameter :: nGC_21029 = 1369
  integer, parameter :: nGC_20300 = 1370
  integer, parameter :: nGC_13489 = 1371
  integer, parameter :: nGC_13313 = 1372
  integer, parameter :: nGC_13312 = 1373
  integer, parameter :: nGC_13311 = 1374
  integer, parameter :: nGC_13310 = 1375
  integer, parameter :: nGC_13317 = 1376
  integer, parameter :: nGC_20308 = 1377
  integer, parameter :: nGC_20309 = 1378
  integer, parameter :: nGC_19488 = 1379
  integer, parameter :: nGC_13168 = 1380
  integer, parameter :: nGC_12968 = 1381
  integer, parameter :: nGC_19483 = 1382
  integer, parameter :: nGC_21864 = 1383
  integer, parameter :: nGC_19241 = 1384
  integer, parameter :: nGC_13233 = 1385
  integer, parameter :: nGC_26694 = 1386
  integer, parameter :: nGC_19685 = 1387
  integer, parameter :: nGC_19684 = 1388
  integer, parameter :: nGC_19683 = 1389
  integer, parameter :: nGC_19682 = 1390
  integer, parameter :: nGC_19922 = 1391
  integer, parameter :: nGC_19923 = 1392
  integer, parameter :: nGC_4211 = 1393
  integer, parameter :: nGC_20259 = 1394
  integer, parameter :: nGC_20010 = 1395
  integer, parameter :: nGC_20017 = 1396
  integer, parameter :: nGC_13199 = 1397
  integer, parameter :: nGC_12977 = 1398
  integer, parameter :: nGC_13037 = 1399
  integer, parameter :: nGC_19142 = 1400
  integer, parameter :: nGC_13030 = 1401
  integer, parameter :: nGC_13031 = 1402
  integer, parameter :: nGC_13280 = 1403
  integer, parameter :: nGC_TS_GC_119_Hh = 1404
  integer, parameter :: nGC_13357 = 1405
  integer, parameter :: nGC_20642 = 1406
  integer, parameter :: nGC_19189 = 1407
  integer, parameter :: nGC_13355 = 1408
  integer, parameter :: nGC_24086 = 1409
  integer, parameter :: nGC_13487 = 1410
  integer, parameter :: nGC_TS_GC_151_Hh = 1411
  integer, parameter :: nGC_19174 = 1412
  integer, parameter :: nGC_24676 = 1413
  integer, parameter :: nGC_19347 = 1414
  integer, parameter :: nGC_12981 = 1415
  integer, parameter :: nGC_13108 = 1416
  integer, parameter :: nGC_20150 = 1417
  integer, parameter :: nGC_13218 = 1418
  integer, parameter :: nGC_12986 = 1419
  integer, parameter :: nGC_13102 = 1420
  integer, parameter :: nGC_12988 = 1421
  integer, parameter :: nGC_13100 = 1422
  integer, parameter :: nGC_13101 = 1423
  integer, parameter :: nGC_13106 = 1424
  integer, parameter :: nGC_13169 = 1425
  integer, parameter :: nGC_13104 = 1426
  integer, parameter :: nGC_13384 = 1427
  integer, parameter :: nGC_10733 = 1428
  integer, parameter :: nGC_10735 = 1429
  integer, parameter :: nGC_19708 = 1430
  integer, parameter :: nGC_19707 = 1431
  integer, parameter :: nGC_13387 = 1432
  integer, parameter :: nGC_13298 = 1433
  integer, parameter :: nGC_23645 = 1434
  integer, parameter :: nGC_13210 = 1435
  integer, parameter :: nGC_13424 = 1436
  integer, parameter :: nGC_13427 = 1437
  integer, parameter :: nGC_13426 = 1438
  integer, parameter :: nGC_19116 = 1439
  integer, parameter :: nGC_13150 = 1440
  integer, parameter :: nGC_19114 = 1441
  integer, parameter :: nGC_13356 = 1442
  integer, parameter :: nGC_19520 = 1443
  integer, parameter :: nGC_19521 = 1444
  integer, parameter :: nGC_13353 = 1445
  integer, parameter :: nGC_13351 = 1446
  integer, parameter :: nGC_13215 = 1447
  integer, parameter :: nGC_19445 = 1448
  integer, parameter :: nGC_13359 = 1449
  integer, parameter :: nGC_13358 = 1450
  integer, parameter :: nGC_20799 = 1451
  integer, parameter :: nGC_20798 = 1452
  integer, parameter :: nGC_887 = 1453
  integer, parameter :: nGC_TS_GC_100_Hl = 1454
  integer, parameter :: nGC_19938 = 1455
  integer, parameter :: nGC_13149 = 1456
  integer, parameter :: nGC_20193 = 1457
  integer, parameter :: nGC_20192 = 1458
  integer, parameter :: nGC_20191 = 1459
  integer, parameter :: nGC_21376 = 1460
  integer, parameter :: nGC_21377 = 1461
  integer, parameter :: nGC_20295 = 1462
  integer, parameter :: nGC_19235 = 1463
  integer, parameter :: nGC_20290 = 1464
  integer, parameter :: nGC_21076 = 1465
  integer, parameter :: nGC_19231 = 1466
  integer, parameter :: nGC_19289 = 1467
  integer, parameter :: nGC_21477 = 1468
  integer, parameter :: nGC_20482 = 1469
  integer, parameter :: nGC_13140 = 1470
  integer, parameter :: nGC_20890 = 1471
  integer, parameter :: nGC_20958 = 1472
  integer, parameter :: nGC_12994 = 1473
  integer, parameter :: nGC_12995 = 1474
  integer, parameter :: nGC_12992 = 1475
  integer, parameter :: nGC_941 = 1476
  integer, parameter :: nGC_20120 = 1477
  integer, parameter :: nGC_20121 = 1478
  integer, parameter :: nGC_21201 = 1479
  integer, parameter :: nGC_21207 = 1480
  integer, parameter :: nGC_23850 = 1481
  integer, parameter :: nGC_19306 = 1482
  integer, parameter :: nGC_23229 = 1483
  integer, parameter :: nGC_13414 = 1484
  integer, parameter :: nGC_13415 = 1485
  integer, parameter :: nGC_13416 = 1486
  integer, parameter :: nGC_13417 = 1487
  integer, parameter :: nGC_13410 = 1488
  integer, parameter :: nGC_13411 = 1489
  integer, parameter :: nGC_13412 = 1490
  integer, parameter :: nGC_13413 = 1491
  integer, parameter :: nGC_13418 = 1492
  integer, parameter :: nGC_19264 = 1493
  integer, parameter :: nGC_19099 = 1494
  integer, parameter :: nGC_19747 = 1495
  integer, parameter :: nGC_19662 = 1496
  integer, parameter :: nGC_12957 = 1497
  integer, parameter :: nGC_19666 = 1498
  integer, parameter :: nGC_20637 = 1499
  integer, parameter :: nGC_12958 = 1500
  integer, parameter :: nGC_12959 = 1501
  integer, parameter :: nGC_13072 = 1502
  integer, parameter :: nGC_13073 = 1503
  integer, parameter :: nGC_13070 = 1504
  integer, parameter :: nGC_13071 = 1505
  integer, parameter :: nGC_13076 = 1506
  integer, parameter :: nGC_13077 = 1507
  integer, parameter :: nGC_13074 = 1508
  integer, parameter :: nGC_13075 = 1509
  integer, parameter :: nGC_13078 = 1510
  integer, parameter :: nGC_13079 = 1511
  integer, parameter :: nGC_22537 = 1512
  integer, parameter :: nGC_22536 = 1513
  integer, parameter :: nGC_13258 = 1514
  integer, parameter :: nGC_13259 = 1515
  integer, parameter :: nGC_20220 = 1516
  integer, parameter :: nGC_20222 = 1517
  integer, parameter :: nGC_13252 = 1518
  integer, parameter :: nGC_13253 = 1519
  integer, parameter :: nGC_13250 = 1520
  integer, parameter :: nGC_13251 = 1521
  integer, parameter :: nGC_13256 = 1522
  integer, parameter :: nGC_13257 = 1523
  integer, parameter :: nGC_13254 = 1524
  integer, parameter :: nGC_13255 = 1525
  integer, parameter :: nGC_13098 = 1526
  integer, parameter :: nGC_13099 = 1527
  integer, parameter :: nGC_13153 = 1528
  integer, parameter :: nGC_13154 = 1529
  integer, parameter :: nGC_20454 = 1530
  integer, parameter :: nGC_TS_GC_195_Hl = 1531
  integer, parameter :: nGC_13090 = 1532
  integer, parameter :: nGC_13091 = 1533
  integer, parameter :: nGC_13092 = 1534
  integer, parameter :: nGC_13093 = 1535
  integer, parameter :: nGC_13094 = 1536
  integer, parameter :: nGC_13095 = 1537
  integer, parameter :: nGC_13096 = 1538
  integer, parameter :: nGC_13097 = 1539
  integer, parameter :: nGC_21155 = 1540
  integer, parameter :: nGC_21156 = 1541
  integer, parameter :: nGC_21157 = 1542
  integer, parameter :: nGC_21158 = 1543
  integer, parameter :: nGC_659 = 1544
  integer, parameter :: nGC_13012 = 1545
  integer, parameter :: nGC_22405 = 1546
  integer, parameter :: nGC_13354 = 1547
  integer, parameter :: nGC_20319 = 1548
  integer, parameter :: nGC_19852 = 1549
  integer, parameter :: nGC_13011 = 1550
  integer, parameter :: nGC_20310 = 1551
  integer, parameter :: nGC_19849 = 1552
  integer, parameter :: nGC_24155 = 1553
  integer, parameter :: nGC_19272 = 1554
  integer, parameter :: nGC_13013 = 1555
  integer, parameter :: nGC_13328 = 1556
  integer, parameter :: nGC_13329 = 1557
  integer, parameter :: nGC_13326 = 1558
  integer, parameter :: nGC_13327 = 1559
  integer, parameter :: nGC_13324 = 1560
  integer, parameter :: nGC_13325 = 1561
  integer, parameter :: nGC_13322 = 1562
  integer, parameter :: nGC_13323 = 1563
  integer, parameter :: nGC_13320 = 1564
  integer, parameter :: nGC_13321 = 1565
  integer, parameter :: nGC_13222 = 1566
  integer, parameter :: nGC_23010 = 1567
  integer, parameter :: nGC_23724 = 1568
  integer, parameter :: nGC_23727 = 1569
  integer, parameter :: nGC_23726 = 1570
  integer, parameter :: nGC_19175 = 1571
  integer, parameter :: nGC_20294 = 1572
  integer, parameter :: nGC_19859 = 1573
  integer, parameter :: nGC_21479 = 1574
  integer, parameter :: nGC_21478 = 1575
  integer, parameter :: nGC_19931 = 1576
  integer, parameter :: nGC_19930 = 1577
  integer, parameter :: nGC_19933 = 1578
  integer, parameter :: nGC_TS_GC_27_Hh = 1579
  integer, parameter :: nGC_20297 = 1580
  integer, parameter :: nGC_13188 = 1581
  integer, parameter :: nGC_22476 = 1582
  integer, parameter :: nGC_12979 = 1583
  integer, parameter :: nGC_19104 = 1584
  integer, parameter :: nGC_20293 = 1585
  integer, parameter :: nGC_19584 = 1586
  integer, parameter :: nGC_19585 = 1587
  integer, parameter :: nGC_13189 = 1588
  integer, parameter :: nGC_12975 = 1589
  integer, parameter :: nGC_12976 = 1590
  integer, parameter :: nGC_19632 = 1591
  integer, parameter :: nGC_23571 = 1592
  integer, parameter :: nGC_23572 = 1593
  integer, parameter :: nGC_23573 = 1594
  integer, parameter :: nGC_21680 = 1595
  integer, parameter :: nGC_21681 = 1596
  integer, parameter :: nGC_19942 = 1597
  integer, parameter :: nGC_19943 = 1598
  integer, parameter :: nGC_19822 = 1599
  integer, parameter :: nGC_25380 = 1600
  integer, parameter :: nGC_19825 = 1601
  integer, parameter :: nGC_19824 = 1602
  integer, parameter :: nGC_13223 = 1603
  integer, parameter :: nGC_20545 = 1604
  integer, parameter :: nGC_13221 = 1605
  integer, parameter :: nGC_19828 = 1606
  integer, parameter :: nGC_19452 = 1607
  integer, parameter :: nGC_19215 = 1608
  integer, parameter :: nGC_20177 = 1609
  integer, parameter :: nGC_24583 = 1610
  integer, parameter :: nGC_19351 = 1611
  integer, parameter :: nGC_19299 = 1612
  integer, parameter :: nGC_19333 = 1613
  integer, parameter :: nGC_19292 = 1614
  integer, parameter :: nGC_13296 = 1615
  integer, parameter :: nGC_13297 = 1616
  integer, parameter :: nGC_13119 = 1617
  integer, parameter :: nGC_13193 = 1618
  integer, parameter :: nGC_13290 = 1619
  integer, parameter :: nGC_13291 = 1620
  integer, parameter :: nGC_19793 = 1621
  integer, parameter :: nGC_19953 = 1622
  integer, parameter :: nGC_19794 = 1623
  integer, parameter :: nGC_19522 = 1624
  integer, parameter :: nGC_20892 = 1625
  integer, parameter :: nGC_20371 = 1626
  integer, parameter :: nGC_13160 = 1627
  integer, parameter :: nGC_19631 = 1628
  integer, parameter :: nGC_19206 = 1629
  integer, parameter :: nGC_20104 = 1630
  integer, parameter :: nGC_20106 = 1631
  integer, parameter :: nGC_20107 = 1632
  integer, parameter :: nGC_19715 = 1633
  integer, parameter :: nGC_19898 = 1634
  integer, parameter :: nGC_19717 = 1635
  integer, parameter :: nGC_19716 = 1636
  integer, parameter :: nGC_19718 = 1637
  integer, parameter :: nGC_13029 = 1638
  integer, parameter :: nGC_13028 = 1639
  integer, parameter :: nGC_13180 = 1640
  integer, parameter :: nGC_13181 = 1641
  integer, parameter :: nGC_13184 = 1642
  integer, parameter :: nGC_13185 = 1643
  integer, parameter :: nGC_19126 = 1644
  integer, parameter :: nGC_13023 = 1645
  integer, parameter :: nGC_22542 = 1646
  integer, parameter :: nGC_22543 = 1647
  integer, parameter :: nGC_13200 = 1648
  integer, parameter :: nGC_19327 = 1649
  integer, parameter :: nGC_21187 = 1650
  integer, parameter :: nGC_19434 = 1651
  integer, parameter :: nGC_19435 = 1652
  integer, parameter :: nGC_13162 = 1653
  integer, parameter :: nGC_19437 = 1654
  integer, parameter :: nGC_19236 = 1655
  integer, parameter :: nGC_13182 = 1656
  integer, parameter :: nGC_20296 = 1657
  integer, parameter :: nGC_13220 = 1658
  integer, parameter :: nGC_21077 = 1659
  integer, parameter :: nGC_20058 = 1660
  integer, parameter :: nGC_13183 = 1661
  integer, parameter :: nGC_20610 = 1662
  integer, parameter :: nGC_19640 = 1663
  integer, parameter :: nGC_13195 = 1664
  integer, parameter :: nGC_13197 = 1665
  integer, parameter :: nGC_19288 = 1666
  integer, parameter :: nGC_22065 = 1667
  integer, parameter :: nGC_13269 = 1668
  integer, parameter :: nGC_22067 = 1669
  integer, parameter :: nGC_22066 = 1670
  integer, parameter :: nGC_22278 = 1671
  integer, parameter :: nGC_22279 = 1672
  integer, parameter :: nGC_20891 = 1673
  integer, parameter :: nGC_13198 = 1674
  integer, parameter :: nGC_20746 = 1675
  integer, parameter :: nGC_19382 = 1676
  integer, parameter :: nGC_13179 = 1677
  integer, parameter :: nGC_13178 = 1678
  integer, parameter :: nGC_19387 = 1679
  integer, parameter :: nGC_20122 = 1680
  integer, parameter :: nGC_13278 = 1681
  integer, parameter :: nGC_13176 = 1682
  integer, parameter :: nGC_19227 = 1683
  integer, parameter :: nGC_19453 = 1684
  integer, parameter :: nGC_19544 = 1685
  integer, parameter :: nGC_19545 = 1686
  integer, parameter :: nGC_19546 = 1687
  integer, parameter :: nGC_19547 = 1688
  integer, parameter :: nGC_12964 = 1689
  integer, parameter :: nGC_12963 = 1690
  integer, parameter :: nGC_12962 = 1691
  integer, parameter :: nGC_13024 = 1692
  integer, parameter :: nGC_13289 = 1693
  integer, parameter :: nGC_13288 = 1694
  integer, parameter :: nGC_13277 = 1695
  integer, parameter :: nGC_19143 = 1696
  integer, parameter :: nGC_13133 = 1697
  integer, parameter :: nGC_13283 = 1698
  integer, parameter :: nGC_20479 = 1699
  integer, parameter :: nGC_13131 = 1700
  integer, parameter :: nGC_19867 = 1701
  integer, parameter :: nGC_22915 = 1702
  integer, parameter :: nGC_19860 = 1703
  integer, parameter :: nGC_13267 = 1704
  integer, parameter :: nGC_19394 = 1705
  integer, parameter :: nGC_13271 = 1706
  integer, parameter :: nGC_13148 = 1707
  integer, parameter :: nGC_13300 = 1708
  integer, parameter :: nGC_13303 = 1709
  integer, parameter :: nGC_13304 = 1710
  integer, parameter :: nGC_13305 = 1711
  integer, parameter :: nGC_20461 = 1712
  integer, parameter :: nGC_13268 = 1713
  integer, parameter :: nGC_21213 = 1714
  integer, parameter :: nGC_20747 = 1715
  integer, parameter :: nGC_20037 = 1716
  integer, parameter :: nGC_19315 = 1717
  integer, parameter :: nGC_20748 = 1718
  integer, parameter :: nGC_22256 = 1719
  integer, parameter :: nGC_22257 = 1720
  integer, parameter :: nGC_19155 = 1721
  integer, parameter :: nGC_19154 = 1722
  integer, parameter :: nGC_20221 = 1723
  integer, parameter :: nGC_22258 = 1724
  integer, parameter :: nGC_13014 = 1725
  integer, parameter :: nGC_13015 = 1726
  integer, parameter :: nGC_13016 = 1727
  integer, parameter :: nGC_19080 = 1728
  integer, parameter :: nGC_20758 = 1729
  integer, parameter :: nGC_21719 = 1730
  integer, parameter :: nGC_19917 = 1731
  integer, parameter :: nGC_19916 = 1732
  integer, parameter :: nGC_19246 = 1733
  integer, parameter :: nGC_13316 = 1734
  integer, parameter :: nGC_13315 = 1735
  integer, parameter :: nGC_19772 = 1736
  integer, parameter :: nGC_20027 = 1737
  integer, parameter :: nGC_21543 = 1738
  integer, parameter :: nGC_20774 = 1739
  integer, parameter :: nGC_20028 = 1740
  integer, parameter :: nGC_24309 = 1741
  integer, parameter :: nGC_13060 = 1742
  integer, parameter :: nGC_19499 = 1743
  integer, parameter :: nGC_13069 = 1744
  integer, parameter :: nGC_19844 = 1745
  integer, parameter :: nGC_13249 = 1746
  integer, parameter :: nGC_19687 = 1747
  integer, parameter :: nGC_19686 = 1748
  integer, parameter :: nGC_13246 = 1749
  integer, parameter :: nGC_13243 = 1750
  integer, parameter :: nGC_13242 = 1751
  integer, parameter :: nGC_13124 = 1752
  integer, parameter :: nGC_26693 = 1753
  integer, parameter :: nGC_21541 = 1754
  integer, parameter :: nGC_20442 = 1755
  integer, parameter :: nGC_13083 = 1756
  integer, parameter :: nGC_13292 = 1757
  integer, parameter :: nGC_20721 = 1758
  integer, parameter :: nGC_13085 = 1759
  integer, parameter :: nGC_13084 = 1760
  integer, parameter :: nGC_19470 = 1761
  integer, parameter :: nGC_19729 = 1762
  integer, parameter :: nGC_20159 = 1763
  integer, parameter :: nGC_20158 = 1764
  integer, parameter :: nGC_19959 = 1765
  integer, parameter :: nGC_19601 = 1766
  integer, parameter :: nGC_19177 = 1767
  integer, parameter :: nGC_19176 = 1768
  integer, parameter :: nGC_19436 = 1769
  integer, parameter :: nGC_21032 = 1770
  integer, parameter :: nGC_19077 = 1771
  integer, parameter :: nGC_20722 = 1772
  integer, parameter :: nGC_19079 = 1773
  integer, parameter :: nGC_19329 = 1774
  integer, parameter :: nGC_23729 = 1775
  integer, parameter :: nGC_23728 = 1776
  integer, parameter :: nGC_30659 = 1777
  integer, parameter :: nGC_30873 = 1778
  integer, parameter :: nGC_13331 = 1779
  integer, parameter :: nGC_13330 = 1780
  integer, parameter :: nGC_13333 = 1781
  integer, parameter :: nGC_13332 = 1782
  integer, parameter :: nGC_13335 = 1783
  integer, parameter :: nGC_13337 = 1784
  integer, parameter :: nGC_13336 = 1785
  integer, parameter :: nGC_20531 = 1786
  integer, parameter :: nGC_19885 = 1787
  integer, parameter :: nGC_19201 = 1788
  integer, parameter :: nGC_19466 = 1789
  integer, parameter :: nGC_20843 = 1790
  integer, parameter :: nGC_19730 = 1791
  integer, parameter :: nGC_20844 = 1792
  integer, parameter :: nGC_20874 = 1793
  integer, parameter :: nGC_19884 = 1794
  integer, parameter :: nGC_20443 = 1795
  integer, parameter :: nGC_21033 = 1796
  integer, parameter :: nGC_22481 = 1797
  integer, parameter :: nGC_22480 = 1798
  integer, parameter :: nGC_31014 = 1799
  integer, parameter :: nGC_21542 = 1800
  integer, parameter :: nGC_19731 = 1801
  integer, parameter :: nGC_20873 = 1802
  integer, parameter :: nGC_22267 = 1803
  integer, parameter :: nGC_31012 = 1804
  integer, parameter :: nGC_20466 = 1805
  integer, parameter :: nGC_20330 = 1806
  integer, parameter :: nGC_20329 = 1807
  integer, parameter :: nGC_19328 = 1808
  integer, parameter :: nGC_22280 = 1809
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
