!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_12866) = -cima*ee**2d0*vev/sw
      coupl(nGC_12867) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12864) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_12865) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_12868) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_12510) = -ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12511) = ee**2d0/cw
      coupl(nGC_12516) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_12517) = ca*cima*ee**2d0/cw
      coupl(nGC_12515) = -ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12889) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12880) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_12648) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_12649) = ca*cima*ee**2d0/sw
      coupl(nGC_12642) = ee**2d0/sw
      coupl(nGC_12643) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_12640) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12641) = -ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12647) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12644) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_78) = ca*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_349) = -3d0*cima*sa*(2d0*ca**2d0*l3 + l2*sa**2d0)/2d0
      coupl(nGC_345) = -cima*(ca**3d0*vevs - 2d0*ca**2d0*sa*vev - 2d0*ca*sa**  &
                       2d0*vevs + sa**3d0*vev)
      coupl(nGC_343) = -cima*(3d0*ca**3d0*l2*vev - 4d0*ca**3d0*l3*vev + 12d0*ca&
                       **2d0*l1*sa*vevs - 14d0*ca**2d0*l3*sa*vevs - 6d0*ca*l2* &
                       sa**2d0*vev + 14d0*ca*l3*sa**2d0*vev - 6d0*l1*sa**3d0*  &
                       vevs + 4d0*l3*sa**3d0*vevs)/2d0
      coupl(nGC_341) = -ca*cima*(ca**2d0*l3 + 3d0*l1*sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_168) = -cima*ee**2d0*vev/sw
      coupl(nGC_169) = -cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/( &
                       4d0*cw)
      coupl(nGC_162) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_163) = -cima*ee**2d0*sa*vev/(4d0*sw**2d0)
      coupl(nGC_160) = -ca*cima*ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_161) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_166) = -cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_167) = cima*ee**2d0*vev/(2d0*sw)
      coupl(nGC_164) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_165) = cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_12869) = cima*ee**2d0*vev/sw
      coupl(nGC_12873) = cima*ee/3d0
      coupl(nGC_12879) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_12878) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_12507) = -ee**2d0/cw
      coupl(nGC_12506) = ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12501) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12500) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12502) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12899) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12898) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                         2d0*sw**2d0)
      coupl(nGC_12893) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_12892) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12891) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12890) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12897) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12896) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_12895) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12894) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_12659) = ca*cima*sa*(l2 - 2d0*l3)
      coupl(nGC_12658) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_12657) = cima*ee**2d0/sw
      coupl(nGC_12656) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_221) = -cima*ytau
      coupl(nGC_220) = -sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_223) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_222) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_225) = cima*yup
      coupl(nGC_224) = -sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_227) = -sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_226) = sqrt(2d0)*yup/2d0
      coupl(nGC_228) = -sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_359) = -3d0*ca*cima*sa*(ca*vev + sa*vevs)
      coupl(nGC_355) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0)
      coupl(nGC_357) = 3d0*cima*(-2d0*ca**3d0*l3*vev + 6d0*ca**2d0*l1*sa*vevs  &
                        - 4d0*ca**2d0*l3*sa*vevs - 3d0*ca*l2*sa**2d0*vev + 4d0*&
                       ca*l3*sa**2d0*vev + 2d0*l3*sa**3d0*vevs)/2d0
      coupl(nGC_351) = -3d0*ca**3d0*cima*vevs
      coupl(nGC_353) = -3d0*cima*sa**3d0*vev/2d0
      coupl(nGC_179) = -ca*cima*l3*vevs - cima*l2*sa*vev/2d0
      coupl(nGC_178) = cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) + cima*ee**2d0&
                       *sa*vev + cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_171) = -cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/( &
                       2d0*cw)
      coupl(nGC_170) = cima*cw*ee**2d0*vev/(4d0*sw**2d0) + cima*ee**2d0*vev/(  &
                       4d0*cw)
      coupl(nGC_173) = -ca*cima*cw**2d0*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*ee &
                       **2d0*vev/2d0 - ca*cima*ee**2d0*sw**2d0*vev/(4d0*cw**2d0&
                       )
      coupl(nGC_172) = cima*cw*ee**2d0*vev/(2d0*sw**2d0) - cima*ee**2d0*vev/(  &
                       2d0*cw)
      coupl(nGC_175) = ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) + ca*cima*ee**&
                       2d0*vev + ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_174) = -ca*cima*cw**2d0*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*ee &
                       **2d0*vev - ca*cima*ee**2d0*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_177) = -cima*cw**2d0*ee**2d0*sa*vev/(2d0*sw**2d0) - cima*ee**  &
                       2d0*sa*vev - cima*ee**2d0*sa*sw**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_176) = -cima*cw**2d0*ee**2d0*sa*vev/(4d0*sw**2d0) - cima*ee**  &
                       2d0*sa*vev/2d0 - cima*ee**2d0*sa*sw**2d0*vev/(4d0*cw**  &
                       2d0)
      coupl(nGC_12798) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_12799) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12794) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 +  &
                         sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12795) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12796) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**  &
                         2d0*sw**2d0)
      coupl(nGC_12797) = sqrt(2d0)/2d0
      coupl(nGC_12793) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_99) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_98) = ee/(2d0*sw)
      coupl(nGC_97) = -ee/(2d0*sw)
      coupl(nGC_96) = cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_95) = -cima*ee**2d0*sa**2d0/(2d0*sw**2d0)
      coupl(nGC_94) = -cima*ee**2d0*sa**2d0/(4d0*sw**2d0)
      coupl(nGC_93) = ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_92) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_91) = -ca*cima*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_90) = ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_75) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_74) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_77) = -ca*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_76) = -ca*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_71) = cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_70) = -cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_73) = cima*ee**2d0/sw**2d0
      coupl(nGC_72) = -cima*ee**2d0/sw**2d0
      coupl(nGC_79) = ca*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_218) = sqrt(2d0)*yt/2d0
      coupl(nGC_219) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_214) = -sqrt(2d0)*ys/2d0
      coupl(nGC_215) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_216) = -sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_217) = cima*yt
      coupl(nGC_210) = -sqrt(2d0)*ym/2d0
      coupl(nGC_211) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_212) = -sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_213) = -cima*ys
      coupl(nGC_369) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_363) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_365) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_144) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       )
      coupl(nGC_145) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*   &
                       cima*ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       )
      coupl(nGC_146) = -ca*cima*cw**2d0*ee**2d0*sa/(4d0*sw**2d0) - ca*cima*ee**&
                       2d0*sa/2d0 - ca*cima*ee**2d0*sa*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_140) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_141) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_142) = cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0 + cima&
                       *ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_143) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0)
      coupl(nGC_148) = ca*cima*cw**2d0*ee**2d0*sa/(2d0*sw**2d0) + ca*cima*ee** &
                       2d0*sa + ca*cima*ee**2d0*sa*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_149) = -cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) - cima*ee** &
                       2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(4d0*cw**&
                       2d0)
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_12788) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_12787) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_12786) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12785) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_12784) = -ca*cima*ee**2d0/cw
      coupl(nGC_12783) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_12782) = ca*cima*ee**2d0/(2d0*cw**2d0)
      coupl(nGC_12781) = ca*cima*ee**2d0*vev/sw**2d0
      coupl(nGC_12780) = -cima*ee**2d0*sa*vev/(2d0*sw**2d0)
      coupl(nGC_88) = -ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_89) = ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_80) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_81) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_82) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_83) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_84) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_85) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_86) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_87) = -ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_66) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -  &
                      cima*l2*sa**2d0/2d0 + cima*ee**2d0*sa**2d0/(4d0*cw**2d0)
      coupl(nGC_67) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -  &
                      cima*l2*sa**2d0/2d0
      coupl(nGC_64) = cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cima*ee**2d0*sa/(2d0* &
                      cw)
      coupl(nGC_65) = -ca**2d0*cima*l3 + cima*ee**2d0*sa**2d0/(4d0*sw**2d0) -  &
                      cima*l2*sa**2d0/2d0
      coupl(nGC_62) = cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cima*ee**2d0*sa/(4d0* &
                      cw)
      coupl(nGC_63) = -cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cima*ee**2d0*sa/(2d0*&
                      cw)
      coupl(nGC_60) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*l2*sa/2d0 +  &
                      ca*cima*l3*sa - ca*cima*ee**2d0*sa/(2d0*cw**2d0)
      coupl(nGC_61) = -cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cima*ee**2d0*sa/(4d0*&
                      cw)
      coupl(nGC_68) = -ca**2d0*cima*l3 - cima*ee**2d0*sa**2d0/(2d0*sw**2d0) -  &
                      cima*l2*sa**2d0/2d0 - cima*ee**2d0*sa**2d0/(2d0*cw**2d0)
      coupl(nGC_69) = -cima*ee**2d0/(4d0*sw**2d0)
      coupl(nGC_12744) = sqrt(2d0)/2d0
      coupl(nGC_209) = -cima*ym
      coupl(nGC_208) = -sqrt(2d0)*cima*sa*ye/2d0
      coupl(nGC_202) = -sqrt(2d0)*ydo/2d0
      coupl(nGC_207) = -sqrt(2d0)*ca*cima*ye/2d0
      coupl(nGC_206) = -sqrt(2d0)*ye/2d0
      coupl(nGC_205) = -cima*ye
      coupl(nGC_204) = -sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_377) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_375) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_371) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_153) = ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_152) = -ee**2d0*vev/(4d0*cw**2d0)
      coupl(nGC_151) = cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**  &
                       2d0*sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_150) = -cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee** &
                       2d0*sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_157) = -ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_156) = -ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_155) = cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_154) = -cima*ee**2d0*vev/(2d0*cw)
      coupl(nGC_159) = ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_158) = ee**2d0*vev/(4d0*sw**2d0)
      coupl(nGC_12930) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0&
                         *sw**2d0)
      coupl(nGC_12931) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12932) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw &
                         **2d0*sw**2d0)
      coupl(nGC_12933) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                         *sw**2d0)
      coupl(nGC_12938) = cima*(2d0*ca*l3*vevs + l2*sa*vev)/2d0
      coupl(nGC_12939) = -ca*cima*vev/2d0
      coupl(nGC_12758) = -cima*ee**2d0/(2d0*cw)
      coupl(nGC_12759) = -cima*ee**2d0*vev/cw
      coupl(nGC_12757) = cima*ee**2d0*vev/(2d0*cw**2d0)
      coupl(nGC_12686) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_12684) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_12685) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12683) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12688) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_12689) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_MI) = -cima
      coupl(nGC_53) = -ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0*&
                      cw)
      coupl(nGC_52) = cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_51) = cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_50) = cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_57) = ca*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cima*l2*sa/2d0 + ca&
                      *cima*l3*sa
      coupl(nGC_56) = ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0* &
                      cw)
      coupl(nGC_55) = -ca*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cima*ee**2d0/(2d0*&
                      cw)
      coupl(nGC_54) = ca*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cima*ee**2d0/(4d0* &
                      cw)
      coupl(nGC_59) = -ca*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cima*l2*sa/2d0 +  &
                      ca*cima*l3*sa
      coupl(nGC_58) = ca*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cima*l2*sa/2d0 + ca&
                      *cima*l3*sa + ca*cima*ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_42) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l2/2d0 &
                       + ca**2d0*cima*ee**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0
      coupl(nGC_12518) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_307) = -3d0*ca*cima*(ca**2d0*l2 + 2d0*l3*sa**2d0)/2d0
      coupl(nGC_309) = 3d0*cima*sa**3d0*vevs
      coupl(nGC_191) = -3d0*ca**3d0*cima*l2*vev/2d0 + 3d0*ca**2d0*cima*l3*sa*  &
                       vevs - 3d0*ca*cima*l3*sa**2d0*vev + 3d0*cima*l1*sa**3d0*&
                       vevs
      coupl(nGC_190) = -3d0*ca**3d0*cima*l1*vevs - 3d0*ca**2d0*cima*l3*sa*vev  &
                        - 3d0*ca*cima*l3*sa**2d0*vevs - 3d0*cima*l2*sa**3d0*vev&
                       /2d0
      coupl(nGC_12922) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12921) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                         2d0*sw**2d0)
      coupl(nGC_12920) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12929) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12928) = -sqrt(2d0)/2d0
      coupl(nGC_12749) = ee/(2d0*sw)
      coupl(nGC_12748) = -ee/(2d0*sw**2d0)
      coupl(nGC_12740) = sqrt(2d0)/2d0
      coupl(nGC_12747) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_12746) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_12745) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_12699) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_12698) = cima*ee*sa/(2d0*sw**2d0)
      coupl(nGC_12690) = cima*ee**2d0*sa/sw
      coupl(nGC_12695) = cima*ee/(3d0*cw)
      coupl(nGC_12697) = cima*ee*sw/(3d0*cw)
      coupl(nGC_12696) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_12508) = -4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_48) = -cw*ee**2d0/(4d0*sw**2d0) + ee**2d0/(4d0*cw)
      coupl(nGC_49) = cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_44) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l2/2d0&
                       - ca**2d0*cima*ee**2d0/(2d0*cw**2d0) - cima*l3*sa**2d0
      coupl(nGC_45) = -cw*ee**2d0/(2d0*sw**2d0) - ee**2d0/(2d0*cw)
      coupl(nGC_46) = -cw*ee**2d0/(2d0*sw**2d0) + ee**2d0/(2d0*cw)
      coupl(nGC_47) = -cw*ee**2d0/(4d0*sw**2d0) - ee**2d0/(4d0*cw)
      coupl(nGC_40) = cima*ee**2d0/(2d0*sw**2d0) - cima*l2 + cima*ee**2d0/(2d0*&
                      cw**2d0)
      coupl(nGC_41) = ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima*l2/2d0 &
                       - cima*l3*sa**2d0
      coupl(nGC_43) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima*l2/2d0&
                       - cima*l3*sa**2d0
      coupl(nGC_313) = 3d0*cima*sa*(ca**2d0*l3 + l1*sa**2d0)
      coupl(nGC_315) = 3d0*cima*(2d0*ca**3d0*l3*vevs + 3d0*ca**2d0*l2*sa*vev - &
                       4d0*ca**2d0*l3*sa*vev + 6d0*ca*l1*sa**2d0*vevs - 4d0*ca*&
                       l3*sa**2d0*vevs + 2d0*l3*sa**3d0*vev)/2d0
      coupl(nGC_317) = 3d0*ca*cima*sa*(ca*vevs - sa*vev)
      coupl(nGC_12602) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_695) = -coupl(nGC_98)
      coupl(nGC_12598) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_12599) = 6d0*ca*cima*sa*(2d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - l2* &
                         sa**2d0 + 2d0*l3*sa**2d0)
      coupl(nGC_12592) = -6d0*ca*cima*sa*(-ca**2d0*l2 + 2d0*ca**2d0*l3 + 2d0*l1&
                         *sa**2d0 - 2d0*l3*sa**2d0)
      coupl(nGC_12593) = -3d0*ca**4d0*cima/2d0
      coupl(nGC_12590) = -cima*ee**2d0/sw
      coupl(nGC_12591) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_12596) = ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_12597) = cima*ee*sa/(2d0*sw)
      coupl(nGC_12594) = -3d0*cima*sa**4d0
      coupl(nGC_12595) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_12916) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_12917) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_12914) = -ca*cima*vevs
      coupl(nGC_12915) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_12912) = -cima*l2*sa/2d0
      coupl(nGC_12913) = -ca*cima*l3
      coupl(nGC_12910) = -cima*(ca*l2*vev - 2d0*l3*sa*vevs)/2d0
      coupl(nGC_12911) = -cima*sa*vev/2d0
      coupl(nGC_12778) = -ca*cima*ee**2d0*vev/sw**3d0
      coupl(nGC_12779) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_12776) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**3d0*sw**2d0)
      coupl(nGC_12777) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_12774) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**  &
                         2d0)
      coupl(nGC_12775) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**2d0*sw**3d0)
      coupl(nGC_12772) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                         cw**2d0*sw**3d0)
      coupl(nGC_12773) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0  &
                         )/(cw**3d0*sw**2d0)
      coupl(nGC_12519) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12949) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                         sw**2d0)
      coupl(nGC_39) = -cima*ee**2d0/(2d0*sw**2d0) - cima*l2/2d0
      coupl(nGC_38) = cima*ee**2d0/(4d0*sw**2d0) - cima*l2/2d0
      coupl(nGC_31) = -ca**2d0*cima*l2/2d0 - cima*l3*sa**2d0
      coupl(nGC_30) = -ca**2d0*cima*l3 - cima*l2*sa**2d0/2d0
      coupl(nGC_33) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca*&
                      cima*l2*sa**3d0/2d0 + 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_32) = -3d0*ca**3d0*cima*l2*sa/2d0 + 3d0*ca**3d0*cima*l3*sa +   &
                      3d0*ca*cima*l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0
      coupl(nGC_35) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 3d0*&
                      cima*l2*sa**4d0/2d0
      coupl(nGC_34) = -3d0*ca**4d0*cima*l2/2d0 - 6d0*ca**2d0*cima*l3*sa**2d0 - &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_37) = -cima*ee**2d0/(4d0*sw**2d0) - cima*l2 - cima*ee**2d0/(4d0&
                      *cw**2d0)
      coupl(nGC_36) = -ca**4d0*cima*l3 - 3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**&
                      2d0*cima*l2*sa**2d0/2d0 + 4d0*ca**2d0*cima*l3*sa**2d0 -  &
                      cima*l3*sa**4d0
      coupl(nGC_311) = -3d0*ca**3d0*cima*vev/2d0
      coupl(nGC_12571) = -ca**2d0*cima
      coupl(nGC_196) = -sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_12573) = -ca*cima*sa/2d0
      coupl(nGC_12576) = -4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12577) = -4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_329) = cima*(6d0*ca**3d0*l1*vevs - 4d0*ca**3d0*l3*vevs - 6d0*ca&
                       **2d0*l2*sa*vev + 14d0*ca**2d0*l3*sa*vev - 12d0*ca*l1*sa&
                       **2d0*vevs + 14d0*ca*l3*sa**2d0*vevs + 3d0*l2*sa**3d0*  &
                       vev - 4d0*l3*sa**3d0*vev)/2d0
      coupl(nGC_325) = -3d0*ca*cima*sa**2d0*vev/2d0
      coupl(nGC_327) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 + l3*sa**2d0)
      coupl(nGC_321) = -ca*cima*(2d0*ca**2d0*l3 + 3d0*l2*sa**2d0 - 4d0*l3*sa** &
                       2d0)/2d0
      coupl(nGC_323) = 3d0*ca**2d0*cima*sa*vevs
      coupl(nGC_200) = -sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l2*vev/2d0 &
                        - ca*cima*ee**2d0*vev/(2d0*cw**2d0) + cima*l3*sa*vevs
      coupl(nGC_189) = -ca**3d0*cima*l3*vevs - 3d0*ca**2d0*cima*l2*sa*vev/2d0  &
                        + 2d0*ca**2d0*cima*l3*sa*vev - 3d0*ca*cima*l1*sa**2d0* &
                       vevs + 2d0*ca*cima*l3*sa**2d0*vevs - cima*l3*sa**3d0*vev
      coupl(nGC_180) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(4d0*sw**2d0) -  &
                       cima*l2*sa*vev/2d0
      coupl(nGC_181) = -ca*cima*l3*vevs + cima*ee**2d0*sa*vev/(4d0*sw**2d0) -  &
                       cima*l2*sa*vev/2d0 + cima*ee**2d0*sa*vev/(4d0*cw**2d0)
      coupl(nGC_182) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(2d0*sw**2d0) -  &
                       cima*l2*sa*vev/2d0
      coupl(nGC_183) = -ca*cima*l3*vevs - cima*ee**2d0*sa*vev/(2d0*sw**2d0) -  &
                       cima*l2*sa*vev/2d0 - cima*ee**2d0*sa*vev/(2d0*cw**2d0)
      coupl(nGC_184) = -ca*cima*l2*vev/2d0 + cima*l3*sa*vevs
      coupl(nGC_185) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l2*vev/2d0  &
                        + cima*l3*sa*vevs
      coupl(nGC_186) = ca*cima*ee**2d0*vev/(4d0*sw**2d0) - ca*cima*l2*vev/2d0  &
                        + ca*cima*ee**2d0*vev/(4d0*cw**2d0) + cima*l3*sa*vevs
      coupl(nGC_187) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0) - ca*cima*l2*vev/2d0 &
                        + cima*l3*sa*vevs
      coupl(nGC_12589) = cima*cw*ee**2d0/sw**2d0
      coupl(nGC_12585) = -cima*ee**2d0/sw**2d0
      coupl(nGC_12584) = cima*ee**2d0/sw**3d0
      coupl(nGC_12581) = cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_12583) = -cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_12582) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12909) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                         sw**2d0)
      coupl(nGC_12908) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw &
                         **2d0*sw**2d0)
      coupl(nGC_12509) = 4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_12905) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                         **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_12907) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                         **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_12906) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                         sw**2d0)
      coupl(nGC_12761) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_12760) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_12763) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_12767) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_12768) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_12529) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_28) = cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_29) = -ca*cima*l2*sa/2d0 + ca*cima*l3*sa
      coupl(nGC_22) = -cima*l2/2d0
      coupl(nGC_23) = -cima*l2
      coupl(nGC_20) = -cima*gs**2d0
      coupl(nGC_21) = cima*gs**2d0
      coupl(nGC_26) = ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_27) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_24) = -3d0*cima*l2/2d0
      coupl(nGC_25) = -ee**2d0*sa/(4d0*cw**2d0)
      coupl(nGC_12486) = -2d0*cima*ee**2d0
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_339) = -3d0*ca**2d0*cima*sa*vev/2d0
      coupl(nGC_12801) = 4d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_331) = -cima*(ca**3d0*vev + 2d0*ca**2d0*sa*vevs - 2d0*ca*sa**  &
                       2d0*vev - sa**3d0*vevs)
      coupl(nGC_337) = -3d0*ca*cima*sa**2d0*vevs
      coupl(nGC_335) = -cima*sa*(3d0*ca**2d0*l2 - 4d0*ca**2d0*l3 + 2d0*l3*sa** &
                       2d0)/2d0
      coupl(nGC_197) = cima*yc
      coupl(nGC_195) = -sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_194) = -sqrt(2d0)*yb/2d0
      coupl(nGC_193) = -cima*yb
      coupl(nGC_192) = -ca**3d0*cima*l3*vev + 3d0*ca**2d0*cima*l1*sa*vevs - 2d0&
                       *ca**2d0*cima*l3*sa*vevs - 3d0*ca*cima*l2*sa**2d0*vev/  &
                       2d0 + 2d0*ca*cima*l3*sa**2d0*vev + cima*l3*sa**3d0*vevs
      coupl(nGC_199) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_198) = sqrt(2d0)*yc/2d0
      coupl(nGC_12628) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_12629) = 2d0*cima*ee/sw
      coupl(nGC_605) = -coupl(nGC_194)
      coupl(nGC_15) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_14) = ee**2d0/(2d0*cw)
      coupl(nGC_513) = -cima/(2d0*cMW)
      coupl(nGC_12620) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_517) = 1d0/(2d0*cMZ)
      coupl(nGC_12621) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1957) = -coupl(nGC_222)
      coupl(nGC_12626) = -2d0*cima*ee/sw
      coupl(nGC_18) = -gs
      coupl(nGC_203) = -sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_201) = -cima*ydo
      coupl(nGC_12570) = -cima*sa**2d0/2d0
      coupl(nGC_12572) = -cima*(ca - sa)*(ca + sa)*(l2 - 2d0*l3)/2d0
      coupl(nGC_12574) = ca*cima*sa
      coupl(nGC_12575) = 4d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_12712) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_12713) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_12718) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_12719) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_12484) = -cima*ee
      coupl(nGC_12485) = -2d0*cima*ee
      coupl(nGC_12483) = cima*ee
      coupl(nGC_12802) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_12803) = -sqrt(2d0)/2d0
      coupl(nGC_12804) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_12805) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_17) = -2d0*gs
      coupl(nGC_16) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_13) = -ee**2d0/(2d0*cw)
      coupl(nGC_12) = ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_12622) = -cima*cw*ee/sw**2d0
      coupl(nGC_12623) = cima*ee/sw
      coupl(nGC_12624) = cima*cw*ee/sw
      coupl(nGC_12625) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_19) = cima*gs
      coupl(nGC_2029) = -coupl(nGC_202)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
