!******************************************************************************!
!                                                                              !
!    ctparameter83.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter83.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter83
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter83()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dtHh_MS_BSM_QED1 = cima*DeltaUV*(8d0*Nc*cMB**3d0*coupl(nGC_196) + 8d0*Nc*cMC &
                     **3d0*coupl(nGC_200) + 8d0*Nc*cMD**3d0*coupl(nGC_204) +   &
                     8d0*Nc*cMS**3d0*coupl(nGC_216) + 8d0*Nc*cMT**3d0*coupl(   &
                     nGC_220) + 8d0*Nc*cMU**3d0*coupl(nGC_228) + 8d0*cME**3d0* &
                     coupl(nGC_208) - cMHH**2d0*coupl(nGC_190) - cMHL**2d0*    &
                     coupl(nGC_189) + 8d0*cMM**3d0*coupl(nGC_212) + 8d0*cMTA** &
                     3d0*coupl(nGC_224) + 4d0*cMW**2d0*coupl(nGC_164) + 8d0*cMW&
                     **2d0*coupl(nGC_165) - 2d0*cMW**2d0*coupl(nGC_182) + 2d0* &
                     cMZ**2d0*coupl(nGC_177) + 4d0*cMZ**2d0*coupl(nGC_178) -   &
                     cMZ**2d0*coupl(nGC_183))/(32d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHh_MS_BSM_QED1 = cone*real(dtHh_MS_BSM_QED1,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter83
end module ctparameter83
