!******************************************************************************!
!                                                                              !
!    ctparameter92.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter92.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter92
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter92()
  if (dZuL_QCD2_scheme .eq. 1) then
    dZuL_QCD2 = (pi**2d0*(-Nc*coupl(nGC_19)**2d0/(2d0*pi**2d0) + coupl(nGC_19  &
                )**2d0/(2d0*pi**2d0*Nc)) + Ten219*coupl(nGC_19)**2d0*(Nc**2d0  &
                 - 1d0)/Nc + Ten224*coupl(nGC_19)**2d0*(Nc**2d0 - 1d0)/Nc + 2d0&
                *Ten231*cMU_reg**2d0*coupl(nGC_19)**2d0*(-Nc**2d0 + 1d0)/Nc +  &
                2d0*Ten236*cMU_reg**2d0*coupl(nGC_19)**2d0*(Nc**2d0 - 1d0)/Nc  &
                )/(16d0*pi**2d0)
    dZuL_QCD2 = cone*real(dZuL_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter92
end module ctparameter92
