!******************************************************************************!
!                                                                              !
!    lcVVV2.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcVVV2.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcVVV2
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec
  contains
    subroutine loopVVV2(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,      &
    riMaxOut, rankInc)
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VVV2)
!       c0*(Metric(1,2)*P(3,1) + Metric(1,3)*P(2,3) + Metric(2,3)*P(1,2))
!       c1*(Metric(1,2)*P(3,2) + Metric(1,3)*P(2,1) + Metric(2,3)*P(1,3))
        do j = riMaxIn, 0, -1
          x0 = -w2(0)*wl(0,j) + w2(1)*wl(1,j) + w2(2)*wl(2,j) + w2(3)*wl(3,j)
          x0vec = w2(0)*wl(:,j)
          x1vec = P1(0)*x0vec
          x1 = P2(1)*wl(1,j)
          x2 = P2(2)*wl(2,j)
          x3 = P2(3)*wl(3,j)
          x2vec = w2(:)*wl(0,j)
          wp(:,j) = cima*(-co(0)*(P1(:)*x0 + P2(0)*(x0vec - x2vec) + w2(:)*(x1 &
                     + x2 + x3) - wl(:,j)*(w2(1)*(P1(1) + P2(1)) + w2(2)*(P1(2 &
                    ) + P2(2)) + w2(3)*(P1(3) + P2(3))) + x1vec) + co(1)*(-P1(1&
                    )*w2(1)*wl(:,j) + P1(1)*w2(:)*wl(1,j) - P1(2)*w2(2)*wl(:,j &
                    ) + P1(2)*w2(:)*wl(2,j) - P1(3)*w2(3)*wl(:,j) + P1(3)*w2   &
                    (:)*wl(3,j) - P2(:)*x0 + w2(:)*x1 + w2(:)*x2 + w2(:)*x3 +  &
                    x1vec - x2vec*(P1(0) + P2(0))))
          if(rankInc .lt. 1) cycle
          do mu = 0, 3
            x3vec = w2(mu)*wl(:,j)
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) - cima*(co(0)*gg(:,mu)*x0 + co(0)*x3vec  &
                           + co(1)*w2(:)*wl(mu,j) - co(1)*x3vec)
          end do 
        end do 
      end select 
    end subroutine loopVVV2
end module lcVVV2
