!******************************************************************************!
!                                                                              !
!    tcVVV0.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVV0.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVV0
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec
  contains
    subroutine treeVVV0(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,  &
    VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVV0)
!       c0*(Metric(1,2)*P(3,2) + Metric(1,3)*P(2,1) + Metric(2,3)*P(1,1) + Metric
!       (2,3)*P(1,3))
!       c1*(Metric(1,2)*P(3,1) + Metric(1,2)*P(3,3) + Metric(1,3)*P(2,3) + Metric
!       (2,3)*P(1,2))
        if (last) VB_last = .true.
        x0 = P2(1)*w1(1)
        x1 = P2(2)*w1(2)
        x2 = P2(3)*w1(3)
        x3 = P2(0)*w1(0)
        x0vec = P2(:)*(-w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1(3)*w2(3))
        x4 = P1(1)*w2(1)
        x5 = P1(2)*w2(2)
        x6 = P1(3)*w2(3)
        x1vec = w1(:)*w2(0)
        x2vec = P1(0)*x1vec
        wout = co(0)*(-w1(:)*(x4 + x5 + x6) + w2(:)*(x0 + x1 + x2 - x3) - x0vec&
                + x2vec) + co(1)*(-P2(0)*x1vec + P2(1)*w1(:)*w2(1) + P2(2)*w1  &
               (:)*w2(2) + P2(3)*w1(:)*w2(3) + w1(:)*x4 + w1(:)*x5 + w1(:)*x6  &
                - w2(:)*x0 - w2(:)*x1 - w2(:)*x2 + w2(:)*x3 + x0vec - x2vec)
      end select 
    end subroutine treeVVV0
end module tcVVV0
