!******************************************************************************!
!                                                                              !
!    tcVVV4.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   tcVVV4.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang                             |            !
!        | `---' | UFO date: 27.11.2018                           |            !
!        |       | UFO version: 1.1                               |            !
!        |       | Generation date: 2018-11-28 17:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module tcVVV4
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20
  complex (dp), dimension(0:3) :: x0vec, x1vec, x2vec, x3vec, x4vec
  contains
    subroutine treeVVV4(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,  &
    VB_last)
      integer, intent(in) :: ty
      logical, intent(inout) :: VB_last
      logical, intent(in) :: last
      complex(kind=dp), dimension(0:), intent(in) :: co
      complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
      complex(kind=dp), intent(in), dimension(0:3) :: w1
      complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
      complex(kind=dp), intent(in), dimension(0:3) :: w2
      complex(kind=dp), intent(in) :: m
      complex(kind=dp), intent(in) :: den
      complex(kind=dp), dimension(0:3), intent(out) :: wout
      character(len=3) :: ty_str
      complex(kind=dp), dimension(0:3) :: pl, p
      select case(ty)
      case(VVV4)
!       Metric(1,2)*P(3,1)*c0
!       Metric(2,3)*P(1,3)*c1
!       Metric(1,2)*P(3,2)*c2
!       Metric(1,3)*P(2,1)*c3
!       Metric(2,3)*P(1,2)*c4
!       Metric(1,3)*P(2,3)*c5
        if (last) VB_last = .true.
        x0 = P1(1) + P2(1)
        x1 = P1(2) + P2(2)
        x2 = P1(3) + P2(3)
        x3 = P1(0) + P2(0)
        x4 = -w1(0)*w2(0) + w1(1)*w2(1) + w1(2)*w2(2) + w1(3)*w2(3)
        wout = -P1(:)*co(0)*x4 - P2(:)*co(2)*x4 + co(1)*w2(:)*(-w1(0)*x3 + w1(1&
               )*x0 + w1(2)*x1 + w1(3)*x2) - co(3)*w1(:)*(-P1(0)*w2(0) + P1(1)*&
               w2(1) + P1(2)*w2(2) + P1(3)*w2(3)) - co(4)*w2(:)*(-P2(0)*w1(0   &
               ) + P2(1)*w1(1) + P2(2)*w1(2) + P2(3)*w1(3)) + co(5)*w1(:)*(-w2(&
               0)*x3 + w2(1)*x0 + w2(2)*x1 + w2(3)*x2)
      end select 
    end subroutine treeVVV4
end module tcVVV4
